Bug 1658153 - Review Request: wdune - wdune (white_dune) is a graphical VRML97/X3D editor
Summary: Review Request: wdune - wdune (white_dune) is a graphical VRML97/X3D editor
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 1653481 (view as bug list)
Depends On: 1677989
Blocks: FE-NEEDSPONSOR FE-GAMESIG
TreeView+ depends on / blocked
 
Reported: 2018-12-11 12:00 UTC by J. Scheurich
Modified: 2019-04-29 17:38 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed:
pemensik: fedora-review+


Attachments (Terms of Use)
configure.in patch (2.42 KB, patch)
2019-03-07 17:43 UTC, Petr Menšík
no flags Details | Diff
Configure macro for using pkgconfig (14.33 KB, patch)
2019-03-18 16:02 UTC, Petr Menšík
no flags Details | Diff

Description J. Scheurich 2018-12-11 12:00:39 UTC
Spec URL: http://wdune.ourproject.org/
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99-1.pl1216.fc29.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

Comment 1 J. Scheurich 2018-12-11 12:05:36 UTC
This is already reviewd under 

https://bugzilla.redhat.com/show_bug.cgi?id=1653481

but the name needs to be changed to wdune cause this is the package name

> >   - I don't think you *require* all of this to work:
> >
> > Requires: rcs
> > Requires: firefox
> > Requires: kolourpaint
> > Requires: audacity
> > Requires: lxterminal
> > Requires: ImageMagick
> > Requires: aqsis-core
> > Requires: bitstream-vera-sans-fonts

> Use Recommends: if this is not hard dependency.

They are all hard dependencies, cause they are referenced in the configure line or detected by configure itself (and needed by the application
of course).

Comment 2 J. Scheurich 2018-12-13 23:35:32 UTC
Spec URL: http://wdune.ourproject.org/
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99-1.pl1221.fc29.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

Fixed https://bugzilla.redhat.com/show_bug.cgi?id=1653481

- COPYING.txt must be installed with %license not %doc.

Comment 3 Raphael Groner 2018-12-17 17:17:00 UTC
*** Bug 1653481 has been marked as a duplicate of this bug. ***

Comment 4 Raphael Groner 2018-12-17 17:19:13 UTC
The URL for SPEC is invalid. It seems to be the link to general upstream. Please provide a link to any working SPEC file.

Comment 5 Raphael Groner 2018-12-17 17:20:23 UTC
What's your FAS account?

Comment 6 Raphael Groner 2018-12-17 17:23:30 UTC
Please answer the questions given there:
https://bugzilla.redhat.com/show_bug.cgi?id=1653481#c1

And:
> You also need to be sponsored, please read https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

Comment 7 J. Scheurich 2018-12-17 19:45:28 UTC
Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99.spec
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99-1.pl1221.fc29.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

Comment 8 J. Scheurich 2018-12-17 19:46:43 UTC
| What's your FAS account?

I think my Fedora Account System is mufti11

Comment 9 J. Scheurich 2018-12-17 19:52:34 UTC
Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99.spec
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99-1.pl1234.fc29.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

Comment 10 Raphael Groner 2018-12-17 20:35:46 UTC
Games SIG might be interested.

Comment 11 Artur Iwicki 2018-12-17 20:45:00 UTC
>BuildRoot: /var/tmp/%{name}buildroot
>...
>%clean
>rm -rf $RPM_BUILD_ROOT
The BuildRoot: tag and the %clean section should not be used.
https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections

>Source: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99.tar.bz2
You can use %{version} as part of the Source URL so you don't have to update this every time.

>mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/Bluecurve/48x48/apps
This directory doesn't seem to be used anywhere after it's created.

>%files
>...
>/usr/bin/dune
>...
>/usr/share/pixmaps/dune.png
Use %{_bindir}, %{_datadir} and other relevant macros here, instead of absolute paths.

Comment 12 J. Scheurich 2018-12-17 21:31:44 UTC
Update

Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99.spec
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99-1.pl1234.fc29.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

Comment 13 J. Scheurich 2018-12-30 10:40:39 UTC
Update

Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99.spec
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99-1.pl1248.fc29.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

Comment 14 J. Scheurich 2019-01-05 21:09:32 UTC
Update

Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99.spec
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99-1.pl1264.fc29.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

Comment 15 J. Scheurich 2019-01-12 12:14:12 UTC
upstream update

Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99.spec
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99-1.pl1276.fc29.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

Comment 16 leigh scott 2019-01-13 09:15:32 UTC
> What can be improvided ?

1. Name the spec file correctly, wdune-0.99.spec isn't acceptable.
It should be wdune.spec

2. Use the file macros, you have already been asked to do so

https://bugzilla.redhat.com/show_bug.cgi?id=1658153#c11

you missed

/%{_datadir}/man/man1/dune.1*
/%{_datadir}/man/man1/dune4kids.1*
/%{_datadir}/man/man1/illegal2vrml.1*

also why the / on everything in files?

3. remove %defattr(-,root,root) from files

4. Spec file readability is poor, long lines aren't easy to read even on my hidpi monitor so shorten them to


%configure \
 --with-optimization \
 --without-devil \
 --with-vrmlbrowser=firefox \
 --with-helpurl="/usr/share/doc/wdune/docs/" \
 --with-protobaseurl="/usr/share/doc/wdune/docs" \
 --with-checkincommand="ci" \
 --with-imageeditor="kolourpaint" \
 --with-imageeditor4kids="kolourpaint" \
 --with-soundeditor=audacity
%make_build



desktop-file-install \
 --add-category="Graphics" \
 --delete-original \
 --dir=$RPM_BUILD_ROOT/%{_datadir}/applications \
 $RPM_BUILD_ROOT//%{_datadir}/applications/dune.desktop

5. Changelog version doesn't match the package version

change this

* Wed Sep 20 2017 J. Scheurich <mufti11@web.de> 0.99pl765


to

* Wed Sep 20 2017 J. Scheurich <mufti11@web.de> - 0.99-1.pl1276


and remove the extra release tag from it


-- Initial packaging
Release: 2%{?dist}


6. Why doesn't the source match the url?, have you added spyware or done something to it? ;-)


$ rpmlint '/home/leigh/Downloads/wdune-0.99-1.pl1276.fc29.src.rpm' 
wdune.src: W: spelling-error %description -l en_US webgl -> webbing
wdune.src: W: spelling-error %description -l en_US maya -> Maya, may, mayo
wdune.src: W: spelling-error %description -l en_US catia -> cation
wdune.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
wdune.src: W: spelling-error %description -l en_US localisation -> localization, allocations, vocalization
wdune.src: W: file-size-mismatch wdune-0.99.tar.bz2 = 25092682, ftp://ftp.ourproject.org/pub/wdune/wdune-0.99.tar.bz2 = 24391645
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

Comment 17 J. Scheurich 2019-01-13 09:49:39 UTC
6. Why doesn't the source match the url?, have you added spyware or done something to it? ;-)

It is the usual policy of ourproject.org: html gets a http::// URL, files get a ftp:// URL.
There is nothing i can do against it.

Comment 18 J. Scheurich 2019-01-13 09:57:16 UTC
Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune.spec
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99-1.pl1276.fc29.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

Comment 19 J. Scheurich 2019-01-13 10:38:05 UTC
6. Why doesn't the source match the url?, have you added spyware or done something to it? ;-)

I didn't uppdated ftp://ftp.ourproject.org/pub/wdune/wdune-0.99.tar.bz2 during the version changes 8-(

Comment 20 Jerry James 2019-02-07 05:06:58 UTC
Here are some issues I see with this package:

1. Consider patching the sources to invoke xdg-open as the browser, and replace "Requires: firefox" with "Requires: xdg-utils".  That lets the user specify a browser via desktop settings.

2. Why "Requires: kolourpaint" and not, say, gimp?  Both are in the KNOWN_IMAGE_EDITORS list.  Why pick one?  If one image editor is replaceable with another, then add Suggests for each of them, allowing the user to pick the one (s)he wishes to use.

3. Why "Requires: lxterminal"?  That's wrong for users who are not using LXDE.  This seems similar to #2.  I see that xterm, rxvt, gnome-terminal, konsole, etc. are also supported.  Requiring a particular one does not seem right.  Add Suggests for each if you like, but don't force one.

4. Add "Requires: coreutils" since the code invokes cat, echo, ls, mkdir, etc.  It's probably silly, since who could have a system with no coreutils?  Nevertheless, humor me.

5. Likewise, add "Requires: grep", since I see grep being invoked as well.

6. Please make a -doc subpackage for the documentation.  It consists of 23214080 bytes in 1066 files, which counts as "large".  See https://docs.fedoraproject.org/en-US/packaging-guidelines/#_documentation

7. There are a lot of licenses in this code.  I'm not confident that GPLv3+ is an accurate summation of them.  The licensecheck tool produces a lot of output, and shows (for example) that the GFDL is at play.  I think a thorough license analysis needs to be done.

8. The code in vcglib/eigenlib looks like a bundled copy of eigen3.  Please check whether it is or not.  If it is, it needs to be unbundled.

9. Others have already told you that the %configure and desktop-file-install lines are too long.  See #4 in comment 16.  Fix them, please.

10. The %changelog entry still isn't right.  See #5 in comment 16.  Fix it, please.

11. Please just remove, rather than comment out, useless lines like this one in %install:

#/usr/lib/rpm/find-debuginfo.sh

  and this one in %files:

#/usr/lib/debug/usr/bin/dune.debug

  They are just clutter at this point.

12. Use %{_docdir} or %{_pkgdocdir} in the %configure invocation instead of "/usr/share/doc".

13. The dune4kids man page uses a "pp" macro that our man doesn't know about.

Comment 21 Jerry James 2019-02-07 05:20:21 UTC
Also I see several warnings of this form in the build log:

Node.cpp: In member function 'int NodeData::writeRoutes(int, int) c
onst':
Node.cpp:1443:50: warning: enum constant in boolean context [-Wint-in-bool-context]
                 if ((m_scene->getWriteFlags() && X3DOM) &&
                                                  ^~~~~

Those warnings indicate code where logical and "&&" has been used, but bitwise and "&" should have been used.  That code will not behave as expected.  I recommend that you find all of those warnings and fix the indicated code.

Comment 22 J. Scheurich 2019-02-07 06:40:22 UTC
2. Why "Requires: kolourpaint" and not, say, gimp? 

$ cat wdune*/README_LINUX.txt
...

======================================
Why not gimp as default image editor ? 
======================================

gimp is a good image editor, but it is not a good tool for commandline.
When you use e.g. "gimp test.png" on the commandline, modify the image
and use File->Save, it doesn't write back the file.
In fact you can use File->Export instead of File->Save, but this is 
confusiong 8-( so the default uses a other image editor like pinta.
If you need to use gimp, simply replace the image editor setting
$

The image editor setting is in options in the GUI...

3. Why "Requires: lxterminal"?  That's wrong for users who are not using LXDE.

lxterminal is a usual X client, that runs everwhere, not only under LXDE. Ir is rhe only xterm clone, that keeps the font setting.
In the xterm commanline you need to set the font size, the default is too small.
If you don't want lxterminal, you can change this in options in the GUI


4. Add "Requires: coreutils" since the code invokes cat, echo, ls, mkdir, etc.  It's probably silly, since who could have a system with no coreutils?  Nevertheless, humor me.
5. Likewise, add "Requires: grep", since I see grep being invoked as well.

The runtime do not invoke cat grep etc. so coreutils and grep are a BuildRequires, i will fix that

7. There are a lot of licenses in this code.  I'm not confident that GPLv3+ is an accurate summation of them. 

In short. there are 5 types of licenses in the code
- GPL2
- GPL3
- MIT
- LGPL
- permisson ro copy and modify

GPL3 is the summation of it or what should i use instead of it ?

If you declare a permisson ro copy and modify license as GPL3, this is legal, GPL3 only adds restrictions.

8. The code in vcglib/eigenlib looks like a bundled copy of eigen3.  Please check whether it is or not.  If it is, it needs to be unbundled.

It lloks like vcglib includes some files of eigen3, but there are more (header) files.
I have big problems to find a sponsor for wdune, it would make the task much more difficult to get a sposor for vcglib 8-(
So i added vcglib which is only a bunch of include headers, not a real library.
white_dune still compiles without vcglib, but the imprtant feature "mesh reducer" would not be available 8-(
I have the choice to remove vcgib or not 8-(

Comment 23 J. Scheurich 2019-02-07 12:06:15 UTC
Update

Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune.spec
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99rc1312-2.fc30.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

Comment 24 J. Scheurich 2019-02-07 22:20:18 UTC
Update

Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune.spec
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99-2.fc29.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

Comment 25 Jerry James 2019-02-13 04:29:37 UTC
(In reply to J. Scheurich from comment #22)
> I have big problems to find a sponsor for wdune, it would make the task much
> more difficult to get a sposor for vcglib 8-(

Yes, I know you've been trying to find a sponsor for awhile now.  I'm sorry it has been so hard for you.

Please excuse my silence for the last few days.  I had some things come up in Real Life that I've had to deal with.  I will try to answer all of your questions tomorrow and get this review moving forward.

Comment 26 Jerry James 2019-02-14 04:32:14 UTC
(In reply to J. Scheurich from comment #22)
> 2. Why "Requires: kolourpaint" and not, say, gimp? 

[snip]

> The image editor setting is in options in the GUI...

That's my point.  Why is the spec file *forcing* every person who installs wdune to also install kolourpaint?  That's what Requires does.  If there are multiple possible image editors, then we shouldn't force everybody to install one particular image editor.  Instead of Requires, use Recommends or Suggests, something like this:

Suggests: image_editor_1
Suggests: image_editor_2
...

That way, when a person chooses to install wdune, they can also choose an image editor.

> 3. Why "Requires: lxterminal"?  That's wrong for users who are not using
> LXDE.

[snip]

> If you don't want lxterminal, you can change this in options in the GUI

Same thing.  Why force every person who installs wdune to also install lxterminal?  Why not list suitable terminals in Recommends or Suggests clauses, and let each person who installs choose?

> 4. Add "Requires: coreutils" since the code invokes cat, echo, ls, mkdir,
> etc.  It's probably silly, since who could have a system with no coreutils? 
> Nevertheless, humor me.
> 5. Likewise, add "Requires: grep", since I see grep being invoked as well.
> 
> The runtime do not invoke cat grep etc. so coreutils and grep are a
> BuildRequires, i will fix that

No, you don't need to have BuildRequires: coreutils.  That is automatically part of the buildroot.

Okay, I see.  Those tools are invoked from awk and bash scripts.  Those scripts are only executed at build time?  I'm talking about tools/modify_orientation_interpolator.awk (invokes echo), batch/findcopyrights.sh (invokes cat and grep), batch/print_unused_geo_files.sh (invokes ls), and what appears to be a genuine source file: src/swt/motif/swt.c (invokes mkdir).

> 7. There are a lot of licenses in this code.  I'm not confident that GPLv3+
> is an accurate summation of them. 
> 
> In short. there are 5 types of licenses in the code
> - GPL2
> - GPL3
> - MIT
> - LGPL
> - permisson ro copy and modify
> 
> GPL3 is the summation of it or what should i use instead of it ?
> 
> If you declare a permisson ro copy and modify license as GPL3, this is
> legal, GPL3 only adds restrictions.

Okay.  I saw such a large volume of output from licensecheck that it was confusing for me.  The cases I was worried about were files that licensecheck reported as GPLv2 only.  But on inspection, it looks like all of those files are dual licensed, so that's okay.  I also saw a mention of the GFDL, but that appears to be limited to packager/Announcements/freewaredirectory_template_dune.txt, which is not included in the binary RPMs.

So the license field is okay.

The bundled eigen3 code is licensed under the Mozilla Public License v2.0, but we'll talk about that next.

> 8. The code in vcglib/eigenlib looks like a bundled copy of eigen3.  Please
> check whether it is or not.  If it is, it needs to be unbundled.
> 
> It lloks like vcglib includes some files of eigen3, but there are more
> (header) files.
> I have big problems to find a sponsor for wdune, it would make the task much
> more difficult to get a sposor for vcglib 8-(
> So i added vcglib which is only a bunch of include headers, not a real
> library.
> white_dune still compiles without vcglib, but the imprtant feature "mesh
> reducer" would not be available 8-(
> I have the choice to remove vcgib or not 8-(

So we have a bundled vcglib which contains a bundled eigen3.  I'm sorry to slow things down for you, but we really do need to unbundle both of those libraries if at all possible.  Has either library been modified from its upstream form?  If not, I'll have to ask you to submit a vcglib review (with eigen3 unbundled), and make wdune consume vcglib.

I can sponsor you as well on the vcglib review as on this one, so that won't be an obstacle.

Speaking of getting sponsored, what reviews have you done?  I'd like to see how good of a grasp you are getting on the Fedora packaging guidelines.  Feel free to contact me via email about that if you prefer doing so to replying here.

Comment 27 J. Scheurich 2019-02-14 09:06:28 UTC
| The image editor setting is in options in the GUI...

| That's my point.  Why is the spec file *forcing* every person who installs wdune to also install kolourpaint? 

I need a default. Having a unliked imageeditor installed, but no used is better than having no imageeditor as with a "Suggests:" solution.

A idea would be using something like xdg-open but xlg-open forks at once, so xdg-open itself is not possible 8-(

| The bundled eigen3 code is licensed under the Mozilla Public License v2.0, but we'll talk about that next.

Should i use

License: GPLv3+,MPLv1.1

?

| Those scripts are only executed at build time?  

Yes

| I'm talking about tools/modify_orientation_interpolator.awk (invokes echo), 

This a tool to modify vrml code, but it has to be invoked by the user from commandline 

| batch/findcopyrights.sh (invokes cat and grep), batch/print_unused_geo_files.sh (invokes ls)

the files in the batch dorectory are useful tools that are invoked at build time or invoked by the user from the commandline 

| and what appears to be a genuine source file: src/swt/motif/swt.c (invokes mkdir).

swt.c is a C file, it invokes mkdir(3) from C

| Speaking of getting sponsored, what reviews have you done?

https://bugzilla.redhat.com/show_bug.cgi?id=1669913

Comment 28 J. Scheurich 2019-02-17 08:11:54 UTC
 8. The code in vcglib/eigenlib looks like a bundled copy of eigen3.  Please check whether it is or not. 

It is not. According to vcglib/eigenlib/howto.txt the version of eigenlib is version 3.2.5, while teh version of fedoras eigen3 is 3.3.7

Comment 29 J. Scheurich 2019-02-17 12:23:18 UTC
Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune.spec
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99rc1348-2.fc30.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

This version unbundles the vcglib library https://bugzilla.redhat.com/show_bug.cgi?id=1677989

Comment 30 J. Scheurich 2019-02-18 10:09:52 UTC
pec URL: ftp://ftp.ourproject.org/pub/wdune/wdune.spec
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99rc1352-2.fc30.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

changed vcglib build requirement to vcglib-devel

Comment 31 Robert-André Mauchin 2019-03-04 15:27:13 UTC
 - Split this on multiple lines with \

%configure     --with-about="wdune-0.99rc1352"     --with-optimization     --without-devil     --with-helpurl="/usr/share/doc/wdune-docs/docs/"     --with-protobaseurl="/usr/share/doc/wdune-docs/docs"     --with-checkincommand="ci"     --with-imageeditor="kolourpaint"     --with-imageeditor4kids="kolourpaint"     --with-soundeditor=audacity

desktop-file-install                                    --add-category="Graphics"                               --delete-original                                       --dir=$RPM_BUILD_ROOT/%{_datadir}/applications          $RPM_BUILD_ROOT/%{_datadir}/applications/dune.desktop

 - As said before a Recommends: would be better

Requires: kolourpaint

 - /usr/share/doc → %{_docdir}

 - Put this in a more "normal" order in the SPEC, %changelog should be last

%package docs
Summary: Documentation for white_dune

%description docs
Documentation for white_dune

[…]

%files docs
%doc README.txt docs


 - The Versioning scheme is a bit dubious.


"Unsortable versions

When upstream uses a versioning scheme that does not sort properly, first see if there is any portion which can be removed from the right side of the version string such that the remainder is sortable. This is often possible if upstream uses a sequence like ("1.2pre1", "1.2pre1", "1.2final"). If so, use the removed portion as <extraver> above, and the remainder as the package version. If this splitting leaves a leading or trailing period in either value, remove it."

The rcXXXX or plXXXX doesn't make it sortable I think. I would move rc1352 to extraver. And use Release: 2.%{extraver}%{?dist}. Then you bump the first Release number with each new extraver to have a sortable 
version scheme.

Comment 32 J. Scheurich 2019-03-07 09:06:04 UTC
|  - As said before a Recommends: would be better
|
| Requires: kolourpaint

Recommends do not install the package, if you don't read the comments on dnf or the 
comments of a graphical installer 8-(
The image editor can be changed in the GUI.
Having a nused package is better than having no package at all.
Especially the dune-4kids GUI is intended for children, lets make the white_dune 
installation as simple as possible.

Comment 33 Petr Menšík 2019-03-07 11:04:44 UTC
If it does not work without such editor and you have to reconfigure it, I propose Suggests: kolourpaint. Suggests would install it, but it allows to not install it when not wanted.

The best option would be if it could autodetect some usually installed image editor and use one available even without configuration.

Comment 34 Petr Menšík 2019-03-07 12:13:54 UTC
And side note hint: your server provides also http protocol for files. It seems something is broken in ftp:// handling of fedora-review tool, it would simplify your review if you would use http URL links instead. Reported as bug #1686383, but HTTP would simplify reviews.

Anyway, header paths guessing in configure.in is quite unfortunate. I would recommend use of PKG_CHECK_MODULES macro or something similar for eigen3 [1]. Similar approach should be used for vcglib if possible.

I think it might look like this:
# Modify configure.in, then run autoreconf

PKG_CHECK_MODULES(EIGEN, [eigen3 eigen], [], AC_MSG_ERROR([eigenlib was not found]) )

CPPFLAGS="$CPPFLAGS $EIGEN_CFLAGS"
LIBS="$LIBS $EIGEN_LIBS"

# Alternatively, use --with-vcglib=/some/path. [2]
AC_MSG_CHECKING([for vcglib])
AC_ARG_WITH(vcglib, AS_HELP_STRING([--with-vcglib], [use vcglib]),
            use_vcglib="$withval", use_vcglib="yes")


# this allows --with-vcglib=/mypath/vcglib-1.0.1
# would use automagically installed vcglib and allows custom location at the same time.
case "$use_vcglib" in
  yes)
       for d in /usr /usr/local $SELFDIR/vcglib; do
          if [ -f "$d/include/vcg/math/base.h" ]; then
            VCGLIB_CFLAGS="-I$d/include"
          elif [ -f "$d/vcg/math/base.h" ]; then
            VCGLIB_CFLAGS="-I$d"
          else
            AC_MSG_ERROR([vcglib headers not found])
          fi
       done
       AC_MSG_RESULT([yes])
       ;;
  no)
       AC_MSG_ERROR([vcglib is mandatory])
       ;;
  *)
       VCGLIB_CFLAGS="-I$use_vcglib"
       AC_MSG_RESULT([$use_vcglib])
       ;;
esac

CPPFLAGS="$CPPFLAGS $VCGLIB_CFLAGS"

Such configuration would prefer installed packages over custom, but would allow easy override if required.

1. https://autotools.io/pkgconfig/pkg_check_modules.html
2. https://www.gnu.org/software/autoconf/manual/autoconf-2.60/html_node/External-Software.html

Comment 35 J. Scheurich 2019-03-07 15:27:32 UTC
Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune.spec
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99rc1414-2.fc30.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

Comment 36 J. Scheurich 2019-03-07 15:30:25 UTC
| And side note hint: your server provides also http protocol for files. It seems something is broken in ftp:// handling of fedora-review tool, it 
| would simplify your review if you would use http URL links instead. Reported as bug #1686383, but HTTP would simplify reviews.

The server support https://, but the rules on this server at ourproject.org forces me to public files via ftp://.
There is nothing i can do against it 8-(

Comment 37 J. Scheurich 2019-03-07 15:32:48 UTC
Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune.spec
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99-2.fc29.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

Comment 38 J. Scheurich 2019-03-07 15:34:28 UTC
(In reply to J. Scheurich from comment #35)
> Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune.spec
> SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99rc1414-2.fc30.src.rpm
> Description: wdune (white_dune) is a graphical VRML97/X3D editor,
> simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV
> commandline compiler in development.
> With white_dune you can create/change 3D objects and animate them (in a easy
> way if you choose the -4kids GUI).
> The result can be shown in any webgl enabled web browser or can be converted
> to the RIB format for movie creation. 
> Fedora Account System Username: mufti11

Sorry, wrong SRPM URL: the correct Url is ftp://ftp.ourproject.org/pub/wdune/wdune-0.99-2.fc29.src.rpm

Comment 39 J. Scheurich 2019-03-07 15:38:49 UTC
> Anyway, header paths guessing in configure.in is quite unfortunate. I would
> recommend use of PKG_CHECK_MODULES macro or something similar for eigen3
> [1]. Similar approach should be used for vcglib if possible.

vcglib is just huge collection of include files. The Problem with Eigen3 is that the fedora Eigen3 package is incompatible with
vcglib's Eigen example: https://bugzilla.redhat.com/show_bug.cgi?id=1677989

Comment 40 Petr Menšík 2019-03-07 16:22:59 UTC
(In reply to J. Scheurich from comment #39)
> > Anyway, header paths guessing in configure.in is quite unfortunate. I would
> > recommend use of PKG_CHECK_MODULES macro or something similar for eigen3
> > [1]. Similar approach should be used for vcglib if possible.
> 
> vcglib is just huge collection of include files. The Problem with Eigen3 is
> that the fedora Eigen3 package is incompatible with
> vcglib's Eigen example: https://bugzilla.redhat.com/show_bug.cgi?id=1677989

I am afraid the project should be modified to work also with more recent version. It should definitely work with latest version together. I understand vcglib has different version. What parts are not compatible, it is known?

I understand it adds more work to adapt changes made by eigen upstream. It drives Fedora forward however, makes it possible to cooperate and reuse single source for many projects. It is required for a good reason.

Comment 41 Petr Menšík 2019-03-07 17:39:42 UTC
I prepared some patch that might help configuring it better. I tried to mimick original detections, but allow better detection of system-wide flags. Used pkg-config macro for eigen3 and freetype2.

./configure --with-vcglib=$VCGLIB
make -j4

compiled to me. I did not really tried to run it yet, but sounds promising. VCGLIB variable is path to modified vcglib, as prepared by sed in bug #1677989 comment 5.

Comment 42 Petr Menšík 2019-03-07 17:43 UTC
Created attachment 1541915 [details]
configure.in patch

adds support for pkg-config flags of eigen3 and freetype2. Also ads support for --with-vcglib=path

Comment 43 Petr Menšík 2019-03-08 11:03:07 UTC
> white_dune do not use Eigen3, it only uses vcglib without any eigen
> requirement. Maybe it is not a good idea to split the vcglib include
> files in new fedora package.

Well it does requires it as dependency. Bundled eigenlib must not be used if there is already package for the same project. If vcglib had pkgconfig file installed, it could have use Requires: eigen3 inside.
They you would have to only use pkg-config --cflags vcglib, and it would include also all cflags required from eigen3 automatically. 

vcglib-devel should have Requires: eigen3-devel

Because no pkgconfig file is shipped by vcglib-devel, wdune has to mention it explicitly to compile. Fix it by shipping vcglib.pc in vcglib-devel and it can be used in more simple way. Until that, just include eigen3 in build flags.

Comment 44 Petr Menšík 2019-03-08 11:35:29 UTC
I think I found possible improvement for default programs support.
I think runtime detection is required, compile-time detection of supported programs is far from user-friendly.

Script, lets say named wdune-sound-editor could be set by default into configure. It could contain something like:

#!/bin/sh

KNOWN_SOUND_EDITORS="audacity rezound wavesurfer gnusound sweep soundeditor"
FOUND=
for APP in ${KNOWN_SOUND_EDITORS}; do
        FOUND="`command -v $APP`"
        if test -n "$FOUND"
        then
                $FOUND $@
                exit $?
        fi
done

if test -z "$FOUND"
then
        echo "ERROR: No supported editor was found!" 2>&1
        exit 1
fi


It would run first program in list, similar to configure script. But would not require reconfiguration when editors available are changed. EDITORS could be initialized by configure variables if required.

Comment 45 Petr Menšík 2019-03-08 12:05:41 UTC
Usually subpackage sections of %package docs and %description docs follows after main %description, before %prep section. %files docs should follow after %files. Best practice for defining %global macros is to place them before all tags like Summary. 

%global extraver pl1414
%global upstream_version %{version}%{?extraver}
...
Version: 0.99
Release: 2%{?extraver}%{?dist}
...
Source: ftp://ftp.ourproject.org/pub/wdune/wdune-%{upstream_version}.tar.bz2

I would recommend also using macro in --with-about="wdune-%{upstream_version}"  in %configure

Comment 46 J. Scheurich 2019-03-08 13:07:27 UTC
> Well it does requires it as dependency. Bundled eigenlib must not be used if
> there is already package for the same project. If vcglib had pkgconfig file
> installed, it could have use Requires: eigen3 inside.
> They you would have to only use pkg-config --cflags vcglib, and it would
> include also all cflags required from eigen3 automatically. 
> 
> vcglib-devel should have Requires: eigen3-devel

The example code shipped in the orginal vcglib is not compatible with the 
fedora eigen3-devel (misssing include file).

Comment 47 J. Scheurich 2019-03-09 00:31:16 UTC
(In reply to Petr Menšík from comment #44)

> Script, lets say named wdune-sound-editor could be set by default into
> configure. It could contain something like:
> 
> #!/bin/sh
> 
> KNOWN_SOUND_EDITORS="audacity rezound wavesurfer gnusound sweep soundeditor"

It looks like rezound, wavesurfer, gnusound and soundeditor are not part of fedora 30

# dnf install rezound wavesurfer gnusound sweep soundeditor
Last metadata expiration check: 0:00:32 ago on Sat 09 Mar 2019 01:25:39 AM CET.
No match for argument: rezound
No match for argument: wavesurfer
No match for argument: gnusound
No match for argument: soundeditor
Error: Unable to find a match
#

Comment 48 J. Scheurich 2019-03-09 10:08:45 UTC
(In reply to J. Scheurich from comment #46)
> > Well it does requires it as dependency. Bundled eigenlib must not be used if
> > there is already package for the same project.

Unfortunatly, the situation with vcglib is more complicated:
- white_dune do not call Eigen3 by itself, but the used vcglib headers references
  Eigen
- vcglib useses other paths than fedoras Eigen3 (eigenlib/Eigen instead of eigen3/Eigen/)
- the vcglib Eigen paths can be set to use Eigen3, white_dune still compiles and run.

Best solution would be to add a modified vcglib to the white_dune sources (instead of building a seperate package for it) and add a Eigen3 build requirement to white_dune.

Comment 49 J. Scheurich 2019-03-15 16:39:26 UTC
Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune.spec
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99-3pl1436.fc29.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

0.99pl1436 update

Comment 50 J. Scheurich 2019-03-18 13:31:15 UTC
Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune.spec
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99-3pl1447.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

Added pkg-config to configure

Comment 51 Petr Menšík 2019-03-18 16:02 UTC
Created attachment 1545369 [details]
Configure macro for using pkgconfig

Autoconf has macro for pkgconfig, it would be nice to use it instead of custom evocation.

Anyway, since we now use pkg-config in build process, BuildRequires: pkg-config must be used. Also dependencies can be specified by pkgconfig:
BuildRequires: pkgconfig(eigen3) pkgconfig(vcglib)

Comment 52 Petr Menšík 2019-03-18 16:24:58 UTC
Thank you for pkg-config usage. It uses less flags but they are more accurate.

1)
Since doc subpackage does not contain license, it must depend on the same version of main package. No package can be installed without license.

2)
If you wanted to use extraver in %setup, use something like %setup -q -n "wdune-%{upstream_version}"

3)
(In reply to J. Scheurich from comment #47)
> (In reply to Petr Menšík from comment #44)
> 
> It looks like rezound, wavesurfer, gnusound and soundeditor are not part of
> fedora 30
> 
> # dnf install rezound wavesurfer gnusound sweep soundeditor
> Last metadata expiration check: 0:00:32 ago on Sat 09 Mar 2019 01:25:39 AM
> CET.
> No match for argument: rezound
> No match for argument: wavesurfer
> No match for argument: gnusound
> No match for argument: soundeditor
> Error: Unable to find a match
> #
Ok, did not check them. If we have only one similar editor in Fedora, there is no point making wrappers around it. Recommends would work just fine.

But I proposed that as generic pattern. I am sure Fedora has more terminals and more bitmap editors available. It could reuse similar approach. But that would be just nice to have feature.

4)
If there is no change in docs dependent on architecture, they should be marked as noarch.
%package docs
BuildArch: noarch
...

It might be nice to have already compiled examples from code provided however. For example in examples subpackage. If they are small and do not have additional dependencies, they might be part of wdune itself. Just with some prefix, like wdune-opengl-example.

Comment 53 J. Scheurich 2019-03-18 16:40:52 UTC
> It might be nice to have already compiled examples from code provided
> however. For example in examples subpackage. If they are small and do not
> have additional dependencies, they might be part of wdune itself. Just with
> some prefix, like wdune-opengl-example.

They have additional dependencies. Either (free)glut for C++ examples or
java/jogl for java examples.

Comment 54 J. Scheurich 2019-03-18 16:54:58 UTC
> Recommends would work just fine.
 
> But I proposed that as generic pattern. I am sure Fedora has more terminals
> and more bitmap editors available. It could reuse similar approach. But that
> would be just nice to have feature.

wdune already uses Recommends: for bitmap editor, sound editor and terminal.

Unfortunalty, there is no movie editor in Fedora...

Comment 55 Petr Menšík 2019-03-19 11:21:52 UTC
Are you sure pititvi editor cannot be used? I never used that myself, but at least there is some editor available in Fedora. Not sure how well can it handle common video files however. Should be handled by gstreamer somehow.

I am sure glut or java dependencies would be fine on subpackage. At least C++ examples would be nice.

Comment 56 J. Scheurich 2019-03-19 11:40:03 UTC
> Are you sure pititvi editor cannot be used? I never used that myself, but at
> least there is some editor available in Fedora. 

I have to look at pitirvi, but is it a vi ?
Best would be using a X11 version of the vi editor, which can be used by a beginner
but i haven't tested one, so we should use something like "Recommends: vim" 

> Not sure how well can it
> handle common video files however. Should be handled by gstreamer somehow.

As far as i know, gstreamer is part of a viedeo player, but a video editor 
(like adobe premiere) could be usefull

Comment 57 J. Scheurich 2019-03-19 16:35:33 UTC
(In reply to J. Scheurich from comment #56)
> > Are you sure pititvi editor cannot be used? I never used that myself, but at
> > least there is some editor available in Fedora. 

I get the following error if i try to use pititvi (flatpak installation) with a typical
oldfashioned VRML movie file (mpeg 3):

Problem: gst-core-error-quark
Extra information: gst-core-error-quark: Your GStreamer installation is missing a plug-in. (12)

Comment 58 J. Scheurich 2019-03-19 17:08:49 UTC
> Best would be using a X11 version of the vi editor, which can be used by a
> beginner
> but i haven't tested one, so we should use something like "Recommends: vim" 

I tested vim-X11 and "gvim -f" can replace the "lxterminal -e vi".
So 

Recommends: vi-X11

will replace

Recommends: lxterminal

Comment 59 J. Scheurich 2019-03-20 04:30:37 UTC
(In reply to Petr Menšík from comment #55)

> I am sure glut or java dependencies would be fine on subpackage. At least
> C++ examples would be nice.

For a C++ example, only a additonal BuildRequires: freeglut-devel would be needed.
But it is difficult to find a impressive X3D world with a matching license on the
net.

All i can offer is a X3D world with a flying robot and a fish and some test data 
i created myself. Sorry i am a programer, not a artist or architect 8-(

Here is the video of the X3D world:

http://wdune.ourproject.org/examples/opengl_example.html

Comment 60 J. Scheurich 2019-03-21 17:20:56 UTC
Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune.spec
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99-3pl1456.fc29.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

I tried to include a opengl-examples subpackage, but i got

error: Arch dependent binaries in noarch package


RPM build errors:
    Macro expanded in comment on line 145: %{_bindir}/white_dune_opengl_example

    Arch dependent binaries in noarch package

when i tried to uncomment "#   make"

and


RPM build errors:
    File must begin with "/": files
    File must begin with "/": opengl-examples
    File not found: /home/mufti/rpmbuild/BUILDROOT/wdune-0.99-3pl1456.fc29.x86_64/usr/bin/white_dune_opengl_example

if i tried to umcomment

#files opengl-examples
#%{_bindir}/white_dune_opengl_example

any idears ?

Comment 61 J. Scheurich 2019-03-22 14:54:34 UTC
Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune.spec
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99-3pl1457.fc29.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

I fixed the 

PM build errors:
    File must begin with "/": files

errors, but i am unable to fix the problem

error: Arch dependent binaries in noarch package

when i uncomment

#BuildArch: noarch

Comment 62 J. Scheurich 2019-03-22 15:40:23 UTC
(In reply to J. Scheurich from comment #61)
> Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune.spec
> SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99-3pl1457.fc29.src.rpm

> ... but i am unable to fix the problem
> 
> error: Arch dependent binaries in noarch package
> 
> when i uncomment
> 
> #BuildArch: noarch

I solved this problem by using:

%define _binaries_in_noarch_packages_terminate_build   0

Comment 63 Fabio Valentini 2019-03-23 10:08:45 UTC
> I solved this problem by using:
> 
> %define _binaries_in_noarch_packages_terminate_build   0

This only disables the check, but the error is still there.

Arch-specific binaries aren't allowed to be in noarch packages (except maybe in very rare circumstances).

So just don't add "BuildArch: noarch" to the "opengl-examples" sub-package.

Comment 64 J. Scheurich 2019-03-23 10:43:42 UTC
(In reply to Fabio Valentini from comment #63)
> > %define _binaries_in_noarch_packages_terminate_build   0
> 
> This only disables the check, but the error is still there.
> 
> Arch-specific binaries aren't allowed to be in noarch packages (except maybe
> in very rare circumstances).
> 
> So just don't add "BuildArch: noarch" to the "opengl-examples" sub-package.

Spec file:
...
%define _binaries_in_noarch_packages_terminate_build 0
%package opengl-examples
License: GPLv3+
Summary: Compiled OpenGL examples for white_dune
%description opengl-examples
Compiled OpenGL examples for white_dune
%package docs
License: GPLv3+
BuildArch: noarch
Summary: Documentation for white_dune
...

The "BuildArch: noarch" is in the "docs" subpackage, not in the 
"opengl-examples" sub-package.

We would need something like 

BuildArch: %{arch}

in the "opengl-examples" sub-package, but it looks like, it do not exist 8-(

Comment 65 Fabio Valentini 2019-03-23 11:07:02 UTC
Are those OpenGL example programs only available on certain architectures? Then ExclusiveArch or ExcludeArch could be used.

Comment 66 J. Scheurich 2019-03-23 11:53:11 UTC
(In reply to Fabio Valentini from comment #65)
> Are those OpenGL example programs only available on certain architectures?

They are always available, when the freeglut-devel, png-devel and jpeg-devel packages
are available. It think, these packages are available on all archtiectures.

But the OpenGL example binary itself is architure depend.

Comment 67 Fabio Valentini 2019-03-23 23:27:02 UTC
(In reply to J. Scheurich from comment #66)
> (In reply to Fabio Valentini from comment #65)
> > Are those OpenGL example programs only available on certain architectures?
> 
> They are always available, when the freeglut-devel, png-devel and jpeg-devel
> packages
> are available. It think, these packages are available on all archtiectures.
> 
> But the OpenGL example binary itself is architure depend.

Then I'm afraid that I don't understand your issue ...

Comment 68 J. Scheurich 2019-03-24 00:15:59 UTC
(In reply to Fabio Valentini from comment #67)

> > > Are those OpenGL example programs only available on certain architectures?
> > 
> > They are always available, when the freeglut-devel, png-devel and jpeg-devel
> > packages
> > are available. It think, these packages are available on all archtiectures.
> > 
> > But the OpenGL example binary itself is architure depend.
> 
> Then I'm afraid that I don't understand your issue ...

The problem is: without

%define _binaries_in_noarch_packages_terminate_build   0

"rpmbuild" complains about a binary in the a noarch package, but the package is the
"docs" suppackage, with is only HTML and images.

Posssibly a minor error in "rpmbuild" ?

Comment 69 Fabio Valentini 2019-03-24 11:19:52 UTC
I'd bet that this is due to a non-obvious error in your packaging, rather than assume it's an error in rpmbuild.

Also, I can't check it myself either, because not all dependencies for your package are available on fedora yet ...

Comment 70 J. Scheurich 2019-03-24 13:23:16 UTC
(In reply to Fabio Valentini from comment #69)
> Also, I can't check it myself either, because not all dependencies for your
> package are available on fedora yet ...

They are all available for Fedora 29.
For Fedora 30/31, the aqsis renderer is currently not installable.
As a little fix, simply comment the aqsis-core BuildRequirement/Requirement, this is
only needed for the RIB export.

Comment 71 Fabio Valentini 2019-03-24 14:48:16 UTC
No, I get the following error on both rawhide and f29:

No matching package to install: 'pkgconfig(vcglib)'
No matching package to install: 'vcglib-devel'

Comment 72 J. Scheurich 2019-03-24 16:28:21 UTC
(In reply to Fabio Valentini from comment #71)
> No, I get the following error on both rawhide and f29:
> 
> No matching package to install: 'pkgconfig(vcglib)'
> No matching package to install: 'vcglib-devel'

Sorry, i forgotten that 8-(
vcglib was extracted from the sources and put into a own package
(as requested by a other reviewer): 

https://bugzilla.redhat.com/show_bug.cgi?id=1677989

If you install vcglib, all packages are available for Fedora 29.

Comment 73 Petr Menšík 2019-03-24 20:31:31 UTC
(In reply to J. Scheurich from comment #57)
> (In reply to J. Scheurich from comment #56)
> > > Are you sure pititvi editor cannot be used? I never used that myself, but at
> > > least there is some editor available in Fedora. 
> 
> I get the following error if i try to use pititvi (flatpak installation)
> with a typical
> oldfashioned VRML movie file (mpeg 3):
> 
> Problem: gst-core-error-quark
> Extra information: gst-core-error-quark: Your GStreamer installation is
> missing a plug-in. (12)

Video codecs are not usually part of Fedora because of licensing problems. Have you tried any video with free codec? I think anything downloaded by youtube-dl would be open codec by default. Best guess is anything on AV1 family [1]. There is nothing we can do about it. Gstreamer might have such codecs or not. Let it handle it the best we can.

(In reply to J. Scheurich from comment #61)
> I fixed the 
> 
> PM build errors:
>     File must begin with "/": files
> 
> errors, but i am unable to fix the problem
> 
> error: Arch dependent binaries in noarch package
> 
> when i uncomment
> 
> #BuildArch: noarch

Problem is with file docs/export_example_c++/opengl_example/render_with_picture_path. It is already compiled binary and as such must NOT be packaged. noarch is correct for docs, compiled program is not.

$ file docs/export_example_c++/opengl_example/render_with_picture_path
docs/export_example_c++/opengl_example/render_with_picture_path: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked, interpreter /lib64/ld-linux-x86-64.so.2, for GNU/Linux 3.2.0, BuildID[sha1]=e456878b296073de1700877076e8ad33c9d9ca7e, with debug_info, not stripped

Examples have to be compiled in %build phase. And compiled binaries must not be part of %docs macro. Copy example out of docs subdirectory before building. Install it into %{_bindir}, maybe %{_libexecdir}.
Why it Recommends: freeglut-devel for main package? I think it should be freeglut. If example will not work without it, just make it Requires: freeglut for subpackage opengl-examples only.

Please use empty line after each subpackage. They are too mixed together, hard to read. Both for after files and descriptions.

Use pushd+popd:

%make_build

cp -a docs/export_example_c++/opengl_example opengl_example
pushd opengl_example
make render_with_picture_path
popd

1. https://en.wikipedia.org/wiki/AV1

Comment 74 J. Scheurich 2019-03-25 03:17:21 UTC
(In reply to Petr Menšík from comment #73)

> > error: Arch dependent binaries in noarch package
> > 
> > when i uncomment
> > 
> > #BuildArch: noarch
> 
> Problem is with file
> docs/export_example_c++/opengl_example/render_with_picture_path. It is
> already compiled binary and as such must NOT be packaged. noarch is correct
> for docs, compiled program is not.

Oh, i forgot to remove this file after making it for the "opengl-examples" subpackage 8-(
So it is installed both in the "opengl-examples" sub-package and in the "docs" subpackage.

> Why it Recommends: freeglut-devel for main package? I think it should be
> freeglut. 

freeglut-devel is needed to compile the X3D to C++ compile examples in docs directory.
docs/export_example_c++/opengl_example/main.cpp uses "#include <GL/glut.h>"

Comment 75 J. Scheurich 2019-03-25 15:45:07 UTC
Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune.spec
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99-3pl1468.fc29.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

I deleted the "%define _binaries_in_noarch_packages_terminate_build 0" and removed the binary of the "opengl-examples" sub-package from
docs after installation

Comment 76 J. Scheurich 2019-03-26 15:47:33 UTC
Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune.spec
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99-3pl1476.fc29.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

Major bugfix, changes only in source files...

Comment 77 J. Scheurich 2019-03-27 15:38:16 UTC
Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune.spec
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99-3pl1482.fc29.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

Changed License tags:
- main package:
  License: GPLv2+ and GPLv3+ and LGPLv3+ and BSD and Public Domain
- docs package:
  License: GPLv2+ and BSD and MIT
- opengl-example package:
  License: BSD and MIT

Comment 78 Petr Menšík 2019-04-03 22:24:34 UTC
Please do not use icon suffix in desktop files. It can find any supported type if used without it.

wdune-0.99-3pl1482.fc29.x86_64//usr/share/applications/dune.desktop: error: (will be fatal in the future): value "dune.png" for key "Icon" in group "Desktop Entry" is an icon name with an extension, but there should be no extension as described in the Icon Theme Specification if the value is not an absolute path
wdune-0.99-3pl1482.fc29.x86_64//usr/share/applications/dune4kids.desktop: error: (will be fatal in the future): value "dune4kids.png" for key "Icon" in group "Desktop Entry" is an icon name with an extension, but there should be no extension as described in the Icon Theme Specification if the value is not an absolute path

Remove Recommends: freeglut-devel from main package. Instead, add Requires: freeglut to opengl-examples subpackage.
It would make sense to add Requires: %{name}%{?_isa} = %{name}-%{version} to examples subpackage as well. Or it needs license file, but I think requires makes more sense.

Also, examples are compiled without compiler flags provided by package system. They are not optimized. Compilation and linking should contain CXXFLAGS and LDFLAGS variable.
g++ -g -o $@
might become:

render_with_picture_path: ../libC++RWD.h C++Export.cc main.cpp
        $(CXX) -g $(CXXFLAGS) $(LDFLAGS) -o $@ -DPICTURE_PATH=\"/usr/share/white_dune\" -I. -I.. -Wno-narrowing main.cpp -lglut -lGLU -lGL -lXmu -lX11 -ljpeg -lpng

It generates lots of warning, but it would add some safety checks into compiled binary. It is better to see those warnings than hide them, unless they are false positives.

Another problem in examples, it has to own directory it adds files to or require package that owns it.
In %files opengl-examples section, include whole %{_datadir}/white_dune.

Comment 79 J. Scheurich 2019-04-07 14:47:54 UTC
Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99.spec
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99-3pl1515.fc29.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

Added human animation to opengl example

> Requires: %{name}%{?_isa} = %{name}-%{version}

I failed to include this. The thing would require two "-" characters to work, which is not accepted.
Instead i added 

Recommends: wdune

Comment 80 J. Scheurich 2019-04-07 14:51:03 UTC
Sorry, wrong URL 8-(

Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune.spec
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99-3pl1515.fc29.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

Comment 81 Petr Menšík 2019-04-08 09:30:33 UTC
(In reply to J. Scheurich from comment #79)
> 
> Added human animation to opengl example
>
Nice. Please lets focus on required features. Examples are nice to have, but we should make the package ready for inclusion, so you can commit you changes visible to users, not just me.

> > Requires: %{name}%{?_isa} = %{name}-%{version}
> 
> I failed to include this. The thing would require two "-" characters to
> work, which is not accepted.
> Instead i added 
> 
> Recommends: wdune
Unfortunately, this is not ok. Can you paste what message it printed with Requires? rpmspec -P wdune.spec might help you ensure file is correct.

Recommends does not force that package to be installed with examples. Unless examples includes its own license file, which I think should not be necessary, it must Require package with license file, also with the same version.

Ok, got it, my fault, I am sorry. Correct syntax is:
Requires: %{name}%{?_isa} = %{version}-%{release}

Please add this to both examples and docs subpackages.

Comment 82 J. Scheurich 2019-04-08 13:47:43 UTC
Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune.spec
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99-3pl1516.fc29.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

Comment 83 J. Scheurich 2019-04-10 14:20:23 UTC
Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune.spec
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-0.99-3pl1516.fc29.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

Comment 84 J. Scheurich 2019-04-20 03:41:53 UTC
Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune.spec
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-1.000-3.fc29.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

white_dune reaches version 1, but full function would require the ffmpeg libraries for MovieTexture rendering.
The ffmpeg libraries are not available on Fedora, so a harmless warning in configure is thrown.

Comment 85 Petr Menšík 2019-04-22 16:35:58 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: wdune-docs : /usr/share/doc/wdune-
  docs/docs/developer_docs/NodeExample.h wdune-docs : /usr/share/doc/wdune-
  docs/docs/developer_docs/NodeGeometryExample.h wdune-docs :
  /usr/share/doc/wdune-
  docs/docs/export_example_c++/fluid_fltk_opengl_example/OpenGLWindow.h
  wdune-docs : /usr/share/doc/wdune-
  docs/docs/export_example_c++/libC++RWD.h wdune-docs : /usr/share/doc
  /wdune-docs/docs/export_example_c/libCRWD.h wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/docs/export_example_c++/libC++RWD.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/AboutDialog.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Aflock.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/AflockSettingsDialog.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/AnchoredJointNode.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/AnimationDialog.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Array.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Array2D.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/ArrayDialog.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Arrays.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/BasicTransformNode.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Box2NurbsDialog.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/CattExportDialog.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/ChainBasedNode.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/ChannelView.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/CheckBoxWindow.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/ColorCircle.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/ColorConversion.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Colored.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Command.h wdune-debugsource
  : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/CommandList.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/CommandlineLanguages.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Cone2NurbsDialog.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Contour.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/CoverDefDialog.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/CoverNode.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/CurveAnimationDialog.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Cylinder2NurbsDialog.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/DefDialog.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Dialog.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/DuneApp.h wdune-debugsource
  : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/DynamicFieldsNode.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/EcmaScriptApp.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/EcmaScriptSettingsDialog.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Element.h wdune-debugsource
  : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/ElevationGridDialog.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/EmitterNode.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/EulerAngles.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/EventIn.h wdune-debugsource
  : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/EventOut.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/ExportNamesApp.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/ExposedField.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/FaceData.h wdune-debugsource
  : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Field.h wdune-debugsource
  : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/FieldCommand.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/FieldIndex.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/FieldPipeDialog.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/FieldValue.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/FieldView.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/FieldViewItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/FontInfo.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/FontStyleNode.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/GeoNode.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/GeometryNode.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/GpsMathLib.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/GroupNode.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/HAnimJointDialog.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/HelpSettingsDialog.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Image.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/IndexedTriangleSetNode.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/InputDevice.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/InputDeviceApp.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/InputDeviceNameSelectionDialog.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/InputDeviceSelectionDialog.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/InputDeviceSettingsDialog.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/InteractionDialog.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/InteractionDialog2.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/InteractionDialog3.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/InterfaceArray.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Interpolator.h
  wdune-debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/List.h
  wdune-debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFBool.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFBoolItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFColor.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFColorItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFColorRGBA.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFColorRGBAItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFDouble.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFDoubleItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFFloat.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFFloatItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFInt32.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFInt32Item.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFMatrix3f.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFMatrix3fItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFMatrix4f.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFMatrix4fItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFNode.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFNodeItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFRotation.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFRotationItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFString.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFStringItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFTime.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFTimeItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFVec2d.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFVec2dItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFVec2f.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFVec2fItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFVec3d.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFVec3dItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFVec3f.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFVec3fItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFVec4f.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFVec4fItem.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MFieldCommand.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MainWindow.h
  wdune-debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Map.h
  wdune-debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Matrix.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MeshBasedNode.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MeshFlags.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MeshMorphingNode.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MeshSubdivide.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Metadata.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/ModellingApp.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/ModellingSettingsDialog.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MoveCommand.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MyMesh.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MyString.h wdune-debugsource
  : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/MySwap.h wdune-debugsource
  : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NextCommand.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Node.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeARSensor.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeAnchor.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeAppearance.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeArc2D.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeArcClose2D.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeArray.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeAudioClip.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeBackground.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeBallJoint.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeBillboard.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeBinaryGeometry.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeBlendMode.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeBlendedVolumeStyle.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeBlock.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeBooleanFilter.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeBooleanSequencer.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeBooleanToggle.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeBooleanTrigger.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeBoundaryEnhancementVolumeStyle.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeBoundedPhysicsModel.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeBox.h wdune-debugsource
  : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCADAssembly.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCADFace.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCADLayer.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCADPart.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCOVER.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCartoonVolumeStyle.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCattExportRec.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCattExportSrc.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCircle2D.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeClipPlane.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCollidableOffset.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCollidableShape.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCollision.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCollisionCollection.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCollisionSensor.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCollisionSpace.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeColor.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeColorChaser.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeColorDamper.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeColorInterpolator.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeColorMaskMode.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeColorRGBA.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeColorSetInterpolator.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeComment.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCommonSurfaceShader.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeComposedCubeMapTexture.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeComposedShader.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeComposedTexture3D.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeComposedVolumeStyle.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCone.h wdune-debugsource
  : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeConeEmitter.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeContact.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeContour2D.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeContourPolyline2D.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCoordinate.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCoordinateChaser.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCoordinateDamper.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCoordinateDeformer.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCoordinateDouble.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCoordinateInterpolator.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCoordinateInterpolator2D.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCubeTexture.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCubicBezier2DOrientationInterpolator.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCubicBezierPositionInterpolator.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCurveAnimation.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCylinder.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeCylinderSensor.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeDISEntityManager.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeDISEntityTypeMapping.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeDepthMode.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeDirectionalLight.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeDish.h wdune-debugsource
  : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeDisk2D.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeDoubleAxisHingeJoint.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeDynamicLOD.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeEaseInEaseOut.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeEdgeEnhancementVolumeStyle.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeEffect.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeEffectPart.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeElevationGrid.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeEnvironment.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeEspduTransform.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeExplosionEmitter.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeExport.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeExternalGeometry.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeExtrusion.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeField.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeFillProperties.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeFlags.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeFloatVertexAttribute.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeFog.h wdune-debugsource
  : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeFogCoordinate.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeFontStyle.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeForcePhysicsModel.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeGeneratedCubeMapTexture.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeGeneratedShadowMap.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeGeoCoordinate.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeGeoElevationGrid.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeGeoLOD.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeGeoLocation.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeGeoMetadata.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeGeoOrigin.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeGeoPositionInterpolator.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeGeoProximitySensor.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeGeoTouchSensor.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeGeoTransform.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeGeoViewpoint.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeGroup.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeHAnimDisplacer.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeHAnimHumanoid.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeHAnimJoint.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeHAnimSegment.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeHAnimSite.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeImageCubeMapTexture.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeImageGeometry.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeImageTexture.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeImageTexture3D.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeImageTextureAtlas.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeImport.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeIndexedFaceSet.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeIndexedLineSet.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeIndexedQuadSet.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeIndexedTriangleFanSet.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeIndexedTriangleSet.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeIndexedTriangleStripSet.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeInline.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeInlineLoadControl.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeIntegerSequencer.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeIntegerTrigger.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeIsoSurfaceVolumeData.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeJoystickSensor.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeKambiAppearance.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeKambiHeadLight.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeKambiInline.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeKambiNavigationInfo.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeKambiOctreeProperties.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeKambiTriangulation.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeKeySensor.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeLOD.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeLabView.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeLayer.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeLayerSet.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeLayout.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeLayoutGroup.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeLayoutLayer.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeLdrawDatExport.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeLinePickSensor.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeLineProperties.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeLineSet.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeList.h wdune-debugsource
  : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeLoadSensor.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeLocalFog.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeMPRVolumeStyle.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeMaterial.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeMatrix3VertexAttribute.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeMatrix4VertexAttribute.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeMatrixTransform.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeMesh.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeMetadataBoolean.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeMetadataDouble.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeMetadataFloat.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeMetadataInteger.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeMetadataSet.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeMetadataString.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeMotorJoint.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeMovieTexture.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeMultiGeneratedTextureCoordinate.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeMultiPart.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeMultiTexture.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeMultiTextureCoordinate.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeMultiTextureTransform.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeNavigationInfo.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeNormal.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeNormalInterpolator.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeNozzle.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeNurbsCurve.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeNurbsCurve2D.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeNurbsGroup.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeNurbsOrientationInterpolator.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeNurbsPositionInterpolator.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeNurbsSet.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeNurbsSurface.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeNurbsSurfaceInterpolator.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeNurbsSweptSurface.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeNurbsSwungSurface.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeNurbsTextureCoordinate.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeNurbsTextureSurface.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeNurbsTrimmedSurface.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeOpacityMapVolumeStyle.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeOrientationChaser.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeOrientationDamper.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeOrientationInterpolator.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeOrthoViewpoint.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodePackagedShader.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeParam.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeParticleSet.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeParticleSystem.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodePickableGroup.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodePixelTexture.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodePixelTexture3D.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodePlane.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodePlaneSensor.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodePointEmitter.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodePointLight.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodePointPickSensor.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodePointSet.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodePolyline2D.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodePolylineEmitter.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodePolypoint2D.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodePopGeometry.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodePopGeometryLevel.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodePositionChaser.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodePositionChaser2D.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodePositionDamper.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodePositionDamper2D.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodePositionInterpolator.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodePositionInterpolator2D.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodePrimitivePickSensor.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeProgramShader.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeProjectedTextureCoordinate.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeProjectionVolumeStyle.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeProximitySensor.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodePyramid.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeQuadSet.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeRadarVolumeStyle.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeReceiverPdu.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeRectangle2D.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeRectangularTorus.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeRefinementTexture.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeRemoteSelectionGroup.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeRenderedTexture.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeRigidBody.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeRigidBodyCollection.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeScalarChaser.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeScalarDamper.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeScalarInterpolator.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeScreenEffect.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeScreenFontStyle.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeScreenGroup.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeScript.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeSegmentedVolumeData.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeShadedVolumeStyle.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeShaderPart.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeShaderProgram.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeShaderTexture.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeShape.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeSignalPdu.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeSilhouetteEnhancementVolumeStyle.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeSingleAxisHingeJoint.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeSky.h wdune-debugsource
  : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeSliderJoint.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeSlopedCylinder.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeSnout.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeSolidOfRevolution.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeSound.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeSpaceSensor.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeSphere.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeSphereSegment.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeSphereSensor.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeSplinePositionInterpolator.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeSplinePositionInterpolator2D.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeSplineScalarInterpolator.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeSpotLight.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeSquadOrientationInterpolator.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeStaticGroup.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeSteeringWheel.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeStippleVolumeStyle.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeStringSensor.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeSuperEllipsoid.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeSuperExtrusion.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeSuperRevolver.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeSuperShape.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeSurfaceEmitter.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeSurfaceShaderTexture.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeSwitch.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTUIButton.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTUIComboBox.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTUIFloatSlider.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTUIFrame.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTUILabel.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTUIListBox.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTUIMap.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTUIProgressBar.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTUISlider.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTUISplitter.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTUITab.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTUITabFolder.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTUIToggleButton.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTeapot.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTexCoordChaser2D.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTexCoordDamper2D.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeText.h wdune-debugsource
  : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeText3D.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTextureBackground.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTextureCoordinate.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTextureCoordinate3D.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTextureCoordinate4D.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTextureCoordinateGenerator.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTextureProperties.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTextureTransform.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTextureTransform3D.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTextureTransformMatrix3D.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTimeSensor.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTimeTrigger.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeToneMappedVolumeStyle.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTorus.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTouchSensor.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTransform.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTransformSensor.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTransmitterPdu.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTriangleFanSet.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTriangleSet.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTriangleSet2D.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTriangleStripSet.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTrimmedSurface.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeTwoSidedMaterial.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeUniform.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeUniversalJoint.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeVectorInterpolator.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeVehicle.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeViewfrustum.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeViewpoint.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeViewpointGroup.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeViewport.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeVirtualAcoustics.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeVirtualSoundSource.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeVisibilitySensor.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeVolumeData.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeVolumeEmitter.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeVolumePickSensor.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeVrmlCut.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeVrmlScene.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeWave.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeWindPhysicsModel.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeWonderlandImportJava.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NodeWorldInfo.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NurbsArc.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NurbsCurve2DDialog.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NurbsCurve2NurbsSurfDialog.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NurbsCurveDegreeElevate.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NurbsCurveDialog.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NurbsMakeRevolvedSurface.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NurbsPlaneDialog.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/NurbsSurfaceDegreeElevate.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/OneBoolDialog.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/OneFloatDialog.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/OneIntDialog.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/OneTextDialog.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/OutputApp.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/OutputSettingsDialog.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/PanedWindow.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Path.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Point.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/PointFtgl.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/PreferencesApp.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/PreviewSettingsDialog.h
  wdune-debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Proto.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/ProtoDialog.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/ProtoMap.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/ProtoNameDialog.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/QuatTypes.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Quaternion.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Rect.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/RenderApp.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/RenderSettingsDialog.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/RenderState.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/RigidBodyPhysicsNode.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/RouteCommand.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/RouteViewApp.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/RouteViewSettingsDialog.h
  wdune-debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFBool.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFBoolItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFColor.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFColorItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFColorRGBA.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFColorRGBAItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFDouble.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFDoubleItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFFloat.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFFloatItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFImage.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFImageItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFInt32.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFInt32Item.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFMatrix3f.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFMatrix3fItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFMatrix4f.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFMatrix4fItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFNode.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFNodeItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFRotation.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFRotationItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFString.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFStringItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFTime.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFTimeItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFVec2d.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFVec2dItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFVec2f.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFVec2fItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFVec3d.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFVec3dItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFVec3f.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFVec3fItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFVec4f.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SFVec4fItem.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Scene.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Scene3DView.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SceneGraphView.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SceneProtoMap.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SceneTreeView.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SceneView.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/ScriptDialog.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/ScriptEdit.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/ScriptEventDialog.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SelectionCommand.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SfVec3x.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Sphere2NurbsDialog.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/SplitFacesDialog.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Stack.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/StartWithApp.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/StaticGroupNode.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/StatusBar.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/StereoViewApp.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/StereoViewSettingsDialog.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/StringArray.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/TUIElement.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/TexteditSettingsDialog.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Texture.h wdune-debugsource
  : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Texture3DNode.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/ToIndexedFaceSetDialog.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/ToolbarWindow.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/TransformMode.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/TransformNode.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/TwoRadioButtonsDialog.h
  wdune-debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Types.h
  wdune-debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/URL.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/URLDialog.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/UnRouteCommand.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/UploadSettingsDialog.h
  wdune-debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Util.h
  wdune-debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Vec2d.h
  wdune-debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Vec2f.h
  wdune-debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Vec3f.h
  wdune-debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Vec3x.h
  wdune-debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Vec4f.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/Vectoriser.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/ViewpointDialog.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/ViewpointNode.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/WonderlandModuleExport.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/WonderlandModuleExportDialog.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/X3DNBodyCollidableNode.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/X3DNBodyCollisionSpaceNode.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/X3DRigidJointNode.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/ac3dMaterialCallback.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/advancing_front.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/buf.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/cdt.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/freewrl_define.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/gif.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/gpsdatum.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/gpsport.h wdune-debugsource
  : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/jpegLoad.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/mathx.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/mysnprintf.h
  wdune-debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/parser.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/pngLoad.h wdune-debugsource
  : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/shapes.h wdune-debugsource
  : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/stdafx.h wdune-debugsource
  : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/subd.h wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/subd_mesh.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/sweep.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/sweep_context.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/swt/include/WriteFlags.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/swt/include/keycodes.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/swt/include/res.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/swt/include/swDebugf.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/swt/include/swlanguages.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/swt/include/swt.h wdune-
  debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/swt/include/swttypedef.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/swt/include/swtxinput.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/swt/motif/swt_structs.h
  wdune-debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/utils.h
  wdune-debugsource :
  /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/x3dFlags.h wdune-debugsource
  : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/xerrorhandler.h wdune-
  debugsource : /usr/src/debug/wdune-1.000-3.fc31.x86_64/src/y.tab.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: grep make gcc-c++ bash gawk
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 27043840 bytes in 1061 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation
- update-desktop-database is invoked in %post and %postun if package
  contains desktop file(s) with a MimeType: entry.
  Note: desktop file(s) with MimeType entry in wdune
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-
  database

Comment 86 Petr Menšík 2019-04-22 16:36:51 UTC
===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2) (with incorrect FSF address)", "GPL (v2 or later) GNU
     Lesser General Public License (v2.1 or later)", "GNU General Public
     License (v2)", "GNU Lesser General Public License (v2.1 or later)",
     "GPL (v2 or later) (with incorrect FSF address) GNU Lesser General
     Public License (v2.1)", "*No copyright* GNU Lesser General Public
     License (v2 or later)", "*No copyright* GPL (v2 or later)", "*No
     copyright* GPL (v2 or later) (with incorrect FSF address)", "GNU
     General Public License", "*No copyright* FSF Unlimited (program
     derivation)", "GPL (v3 or later)", "FSF Unlimited (script
     derivation)", "*No copyright* FSF Unlimited (script derivation)", "*No
     copyright* FSF Unlimited (File derivation)", "*No copyright* FSF
     Unlimited (autoconf derivation)", "FSF Unlimited (file derivation)",
     "BSD 3-clause "New" or "Revised" License", "GPL (v2 or later) (with
     incorrect FSF address)", "GPL (v2 or later) GNU Lesser General Public
     License (v2 or later)", "FSF Unlimited (Makefile derivation)", "NTP
     License (legal disclaimer)", "GPL (v2 or later)", "GNU Lesser General
     Public License (v2 or later)", "*No copyright* FSF Unlimited (file
     derivation)", "BSD (unspecified)", "*No copyright* FSF Unlimited
     (Makefile derivation)", "Unknown or generated", "GNU Free
     Documentation License (v1.1 or later)", "FSF Unlimited (file
     derivation) GPL (v2 or later) (with incorrect FSF address)", "FSF
     Unlimited (Makefile derivation) GPL (v2 or later)", "FSF Unlimited
     (file derivation) GNU General Public License", "Expat License", "GPL
     (v2 or later) (with incorrect FSF address) GNU Lesser General Public
     License (v2.1 or later)", "GPL (v2)". 1013 files have unknown license.
     Detailed output of licensecheck in
     /home/reviewer/reviews/1658153-wdune/srpm/review-
     wdune/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[?]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/white_dune/opengl_example,
     /usr/share/white_dune
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/white_dune/opengl_example, /usr/share/white_dune
[ ]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/.build-id(libmad,
     cups-client, efivar-libs, qemu-block-gluster, rpm-plugin-selinux,
     abrt, libmediaart, libimagequant, giflib, libreoffice-graphicfilter,
     trousers, qemu-ui-gtk, libdb-utils, tracker-miners, xorg-x11-font-
     utils, PackageKit-command-not-found, OpenEXR-libs, python2-setools,
     libcom_err, libseccomp, p11-kit, libabw, gtkspell, libvirt-daemon-
     driver-storage-iscsi, libid3tag, libmodman, argyllcms, parted, gnome-
     disk-utility, libdvdread, zstd, bluez-libs, kf5-kjobwidgets, libwebp,
     libxslt, system-config-printer-udev, perl-Encode, libverto-libev,
     python2-cryptography, kf5-kdeclarative, libevdev, libgpg-error,
     libmaxminddb, lvm2-libs, kf5-sonnet-core, libpurple, perl-Digest-SHA,
     python3-unbound, kf5-solid, libzstd, libdazzle, xdg-desktop-portal-
     gtk, lua-lpeg, symlinks, python3-crypto, libcdr, b43-fwcutter,
     e2fsprogs-libs, pulseaudio-libs, tpm2-tools, lcms2, qemu-guest-agent,
     annobin, deltarpm, libxcb, libyubikey, python3-pycurl, python3-brlapi,
     openconnect, xcb-util-keysyms, m4, sushi, libgphoto2, cdparanoia, xcb-
     util, gvfs-fuse, boost-fiber, mc, udisks2-iscsi, python3-coverage,
     anaconda-widgets, http-parser, qt5-qtspeech, pulseaudio-utils,
     rubygem-hpricot, perl-PerlIO-utf8_strict, libeot, compat-wxGTK3-gtk2,
     systemd-bootchart, kf5-kpackage, perl-JSON-XS, kf5-kfilemetadata,
     texlive-pdftex, perl-Time-Piece, dbusmenu-qt, ncurses-libs, libidn2,
     checkpolicy, libreport-plugin-logger, gnome-color-manager, fcoe-utils,
     xorg-x11-xkb-utils, ibus-hangul, NetworkManager-openvpn, libxkbfile,
     hplip-libs, libwvstreams, freerdp-libs, xmlrpc-c-client, cheese,
     python3-hawkey, libwpd, enchant2, libdc1394, libvirt-daemon-driver-
     qemu, perl-Time-HiRes, qemu-block-ssh, libwps, gssdp,
     kf5-knotifications, libacl, xorg-x11-drv-ati, libSM, policycoreutils,
     mcelog, abrt-plugin-bodhi, libmusicbrainz5, perl-Digest-SHA3, perl-
     Digest-SHA1, sane-backends-drivers-scanners, libXxf86misc, foomatic,
     texlive-dvips, mediawriter, colord-gtk, libpath_utils, libicu-devel,
     rpm-build, wodim, libvirt-daemon-driver-storage-sheepdog, libglvnd-
     gles, python3-audit, rpm-plugin-systemd-inhibit, libmicrodns,
     freeglut, gstreamer1, bsdtar, gom, unbound, ykpers, libtomcrypt, dbus-
     libs, libreoffice-gtk3, libreoffice-gtk2, boost-wave, cairo-gobject,
     vim-minimal, gnome-screenshot, fping, libkkc, gutenprint, openal-soft,
     usermode, qpdf-libs, linux-atm-libs, libedit, openssh, openssl,
     python3-cairo, python2-libdnf, accountsservice, isl, hfsplus-tools,
     ImageMagick, gssproxy, mesa-libGLU, libblockdev-btrfs, libatomic_ops,
     gupnp-av, clang6.0-libs, librepo, rubygem-io-console, kf5-kxmlgui,
     python3-iscsi-initiator-utils, tpm2-abrmd, libvirt-daemon-driver-
     interface, NetworkManager, libkate, liblangtag, libdatrie, glade-libs,
     setuptool, libcryptui, guile, tree, gvfs-goa, pipewire, glusterfs-
     libs, gnupg, cronie-anacron, xfsprogs, authselect, boost-timer,
     libcroco, texlive-bibtex, qt5-qtsensors, telepathy-glib, plymouth-
     plugin-label, libisoburn, colord-libs, aalib-libs, gstreamer1-libav,
     libcddb, efivar, gpgmepp, libgcab1, libzhuyin, gvnc, hypervfcopyd,
     cronie, libexttextcat, qt5-qtquickcontrols, nettle, libcacard,
     elfutils, colord, libpipeline, pkcs11-helper, accountsservice-libs,
     network-scripts, gnome-system-monitor, findutils, popt, python2-xpyb,
     qt5-qtx11extras, libsss_idmap, libraw1394, boost-atomic, folks,
     lm_sensors, gnome-clocks, python3-dbus, iproute-tc, libipa_hbac,
     libupnp, spice-glib, woff2, python2-numpy, dotconf, luajit, libXfont,
     PackageKit-glib, patch, sqlite-libs, lttng-ust, enchant, kf5-plasma,
     libXxf86dga, rhash, xdg-user-dirs-gtk, libwayland-client, kf5-kio-
     file-widgets, pinentry-gnome3, libsmbios, pwgen, libipt, mdadm,
     openblas-threads, device-mapper, python2-librepo, timidity++, xapian-
     core-libs, kf5-kbookmarks, gnome-terminal, GeoIP, libsigc++20,
     libXrandr, newt, liba52, hplip, crda, libical, sheepdog,
     qt5-qtdeclarative, vo-amrwbenc, qt5-qtquickcontrols2, libXfont2,
     libblockdev-loop, libmfx, libssh2, NetworkManager-adsl, open-vm-tools-
     desktop, xmlsec1-nss, dbusmenu-qt5, libXcursor, nftables, iio-sensor-
     proxy, boost-python2, procps-ng, plymouth-core-libs, telnet, libXpm,
     xorg-x11-drv-nouveau, bluez-obexd, zlib, libpeas, pam_krb5,
     gutenprint-cups, avahi, libselinux, libassuan, expat, cups-filters,
     iw, clutter-gtk, userspace-rcu, libblockdev-utils, dumpet, wavpack,
     libbsd, live555, ibus-libpinyin, setroubleshoot-server, make,
     python3-markupsafe, libnice, libzip, libsoup, glusterfs-api, fuse,
     perl-Net-SSLeay, perl-Filter, ipmitool, cups-libs, libappstream-glib,
     libsepol, totem-pl-parser, gzip, samba-client-libs, keyutils,
     isomd5sum, libfdisk, libdmx, openssl-libs, corosynclib, opencc,
     libreport-plugin-reportuploader, gavl, libatasmart, ipset, x265-libs,
     kf5-kcoreaddons, unique, libcaca, keybinder3, ntfs-3g, fuse-libs,
     kf5-attica, xorg-x11-xauth, libglvnd-glx, gvfs-smb, gtkspell3, libcue,
     libXrender, json-glib, kf5-kglobalaccel, libX11-xcb, libfontenc,
     libicu, libgsf, xorg-x11-drv-vmware, sssd-common, NetworkManager-
     openconnect, libgtop2, btrfs-progs, tracker, wvdial, cogl, sni-qt,
     mesa-libglapi, bolt, glx-utils, libtommath, evolution-data-server,
     PackageKit, daxctl-libs, polkit-qt5-1, boost-container, libass, boost-
     math, wpa_supplicant, libstdc++, ppp, libtiger, git, perl-Compress-
     Raw-Bzip2, jack-audio-connection-kit, mpg123-libs, opus, git-core,
     python3-tkinter, libxklavier, traceroute, cyrus-sasl-plain,
     libblockdev-crypto, kf5-karchive, libreoffice-pdfimport, rp-pppoe,
     libtheora, attr, mtr, gtksourceview3, pugixml, plymouth, libcanberra-
     gtk3, boost-program-options, mtdev, telepathy-logger, systemd-udev,
     brasero, libXvMC, wmctrl, cheese-libs, libXmu, capstone, tig,
     libreoffice-impress, jasper-libs, librbd1, device-mapper-libs,
     xorg-x11-xinit, gnome-initial-setup, pyliblzma, libffi, libGLEW,
     python2-hawkey, diffutils, chrony, time, mpfr, kf5-knotifyconfig,
     cyrus-sasl-md5, iputils, qt5-qtxmlpatterns, numactl-libs, libvirt-
     daemon-driver-nwfilter, libwmf-lite, tigervnc-server-minimal, gpgme,
     hypervvssd, xorg-x11-drv-openchrome, libmcpp, libibverbs, mpg123, gdb-
     headless, dleyna-core, qemu-audio-pa, libgovirt, libqmi-utils,
     libmbim-utils, psacct, lame-libs, gnome-bluetooth-libs, usbredir,
     ghostscript, iproute, iptables-libs, cryptsetup-libs, gnome-control-
     center, syslinux-extlinux, bind-libs, pygobject2, boost-type_erasure,
     antimicro, ghostscript-x11, lua-posix, libinput, libreport-cli,
     libpkgconf, teckit, python3-dmidecode, abrt-gui-libs, libosinfo,
     id3lib, qt5-qtsvg, libreoffice-calc, libqmi, gawk, dmraid-events,
     pcsc-lite-libs, adwaita-gtk2-theme, libbasicobjects, baobab, rdma-
     core, vte291, libgweather, sssd-krb5, qemu-block-iscsi, brotli,
     libgrss, libdvbpsi, httpd, libsmbclient, transmission-gtk, getdns,
     libkcapi, libvdpau, compat-openssl10, opencore-amr, abrt-addon-
     kerneloops, libnftnl, gnome-maps, oddjob-mkhomedir, openCOLLADA, xcb-
     util-renderutil, libwinpr, getdns-stubby, sssd-ad, texlive-luatex,
     libpinyin, freetype, logrotate, cmake-gui, kf5-kcmutils, irrXML,
     libkadm5, libdnet, ntfsprogs, abrt-libs, efibootmgr, openjpeg2-tools,
     libgdither, boost-signals, kf5-kactivities, libpsl, mpg123-plugins-
     pulseaudio, python3-rpm, nautilus-sendto, fwupdate-libs, jimtcl,
     libuser, lz4-libs, graphviz, abrt-retrace-client, boost-date-time,
     tbb, satyr, gts, pixman, gnome-font-viewer, evtest, rubygem-psych,
     xorg-x11-drv-vesa, libbluray, brltty, libwmf, texlive-lib,
     libbabeltrace, vpnc, psmisc, net-snmp-libs, xorg-x11-drv-libinput,
     libsss_certmap, libblockdev-mpath, cairo, libgcc, gdisk, ilmbase,
     poppler, pocl, libstemmer, djvulibre-libs, bison, ibus-libzhuyin,
     fftw-libs-double, avahi-gobject, net-tools, ModemManager, abrt-gui,
     ibus-m17n, qemu-img, qt5-qtbase-gui, rtkit, orc, polkit, libuuid,
     faad2-libs, libarchive, libfreehand, ibus-gtk3, ibus-gtk2,
     python2-libselinux, cryptsetup, udisks2, clucene-contribs-lib, paps-
     libs, tcp_wrappers, xz, libXcomposite, vconfig, mtools, pygtk2,
     python3-matplotlib-tk, harfbuzz-icu, libplist, ldns, xdg-user-dirs,
     hwloc-libs, spice-server, gdk-pixbuf2, gst-transcoder, gupnp,
     libreport, libeasyfc-gobject, libevent, redland, python2-cccolutils,
     tcpdump, gnome-characters, aqsis-core, libblockdev, librdmacm, lua-
     socket, dconf, xz-libs, dbus-glib, PackageKit-gtk3-module,
     python3-kiwisolver, libdvdnav, libcap, libprojectM, libvirt-daemon-
     driver-storage-zfs, libwbclient, compiler-rt, kf5-kio-widgets-libs,
     libvirt-daemon-driver-storage-gluster, numad, libXp, kf5-ki18n,
     mod_http2, libthai, fakeroot, gnome-session, k3b, libini_config, nss-
     tools, adcli, kf5-kglobalaccel-libs, libtirpc, python2-gpg,
     libsmartcols, gsound, boost-test, fakeroot-libs, sane-backends-
     drivers-cameras, libva-intel-driver, libwpg, os-prober, ethtool, qt5
     -qttools-libs-designercomponents, vorbis-tools, libfprint, systemd-
     libs, cpio, libfdt, util-linux, libburn, apr-util-bdb, krb5-libs,
     gnome-online-accounts, libconfig, enca, llvm6.0-libs, libblockdev-
     part, libpciaccess, clucene-core, libsss_autofs, kmod, libxml++,
     NetworkManager-pptp, libetonyek, libcanberra-gtk2, libgs, gnome-user-
     share, sssd-client, libgxps, systemd, kf5-kiconthemes,
     webkit2gtk3-jsc, libpagemaker, highlight, kf5-kitemviews,
     libxkbcommon, device-mapper-multipath-libs, yajl, lockdev, kdesu,
     cups-filters-libs, geocode-glib, lpsolve, xorg-x11-server-utils,
     cdrskin, gnupg2, libvirt-daemon-driver-storage-iscsi-direct, marisa,
     evince-libs, libepubgen, libdnf, ruby, abrt-addon-pstoreoops, gnome-
     keyring, libdbusmenu-gtk3, libdbusmenu-gtk2, pulseaudio-libs-glib2,
     texlive-makeindex, libnice-gstreamer1, netpbm, lxpolkit, nm-
     connection-editor, qt5-qttools-libs-help, python3-pyparted,
     libudisks2, gstreamer1-plugins-bad-free, python3-setools, clutter,
     zenity, rhythmbox, chkconfig, libgnome-keyring, hostname, iscsi-
     initiator-utils, pptp, librados2, libvirt-daemon-driver-storage-mpath,
     veritysetup, pam, python2-cffi, openldap, zziplib, evince-nautilus,
     ipcalc, SDL, speex, libvirt-daemon-driver-storage-logical, ibus-
     wayland, neon, rest, libsamplerate, python2-lxml, gdm, boost-
     iostreams, poppler-utils, pakchois, zfs-fuse, libusbmuxd,
     python2-audit, perl-Unicode-Normalize, libimobiledevice, lzop,
     NetworkManager-wwan, polkit-pkla-compat, jbig2dec-libs, epiphany-
     runtime, libmtp, cyrus-sasl-lib, librevenge, hexchat, nspr, gjs,
     python3-gobject-base, gnome-settings-daemon, zvbi, dnsmasq,
     geoclue2-libs, libXfixes, libblkid, libcdio, libsss_sudo, rsync,
     gnome-software, lua-libs, abrt-addon-coredump-helper, ntfs-3g-system-
     compression, authselect-libs, soundtouch, xorg-x11-drv-evdev, libpeas-
     gtk, libXinerama, lirc-libs, libteam, vim-enhanced, libcmis,
     qt5-qttools, elfutils-libs, acl, cyrus-sasl-scram, libogg, boost-
     numpy2, libphodav, kf5-kinit, vid.stab, libgee, libXxf86vm, mesa-
     libEGL, clang-libs, systemd-pam, ftgl, perl-Storable, perl-Digest-MD5,
     libshout, fonts-tweak-tool, perl-File-FcntlLock, perl-Sort-Key,
     pacman, libvirt-daemon-driver-storage-rbd, nss-util, libsemanage,
     cracklib, mozjs52, systemd-container, libcomps, at, file, vamp-plugin-
     sdk, kf5-kcompletion, libblockdev-fs, perl-Cpanel-JSON-XS,
     libblockdev-nvdimm, ncdu, libnma, gettext, pcre2-utf32, soxr, espeak,
     libvirt-gobject, libutempter, gnome-remote-desktop, libmetalink,
     slang, openblas-serial, gvfs-afp, usbutils, e2fsprogs, libcdio-
     paranoia, grub2-tools-minimal, cpp, libksba, libwayland-server,
     virglrenderer, gmime30, dracut, gdbm, libchromaprint, osinfo-db-tools,
     libsndfile, libblockdev-vdo, libvisio, tk, ruby-libs, bzip2-libs,
     gmp-c++, libalpm, boost-log, openssl-pkcs11, gnutls, librtmp, device-
     mapper-persistent-data, python2-krbv, webkit2gtk3-plugin-process-gtk2,
     libselinux-utils, perl-Scalar-List-Utils, dosfstools, rng-tools,
     gnome-abrt, libspectre, icedax, keyutils-libs, libproxy, sssd-common-
     pac, libreoffice-math, libtimezonemap, perl-Data-Dumper, glusterfs-
     fuse, game-music-emu, kf5-kpty, pidgin, anaconda-core, vim-X11,
     libkworkspace5, libnfsidmap, perl-XML-Parser, mlocate, tmux, file-
     libs, grub2-tools, avahi-glib, mokutil, libva, libblockdev-swap,
     libnetfilter_conntrack, python2-libsemanage, python3-gobject, libev,
     frei0r-plugins, fprintd-pam, libusbx, kf5-kconfig-gui, qrencode-libs,
     libICE, libgexiv2, drpm, qemu-block-nfs, createrepo_c-libs, kf5-kio-
     core, grilo, pcaudiolib, gstreamer1-plugins-good-qt, perl-Compress-
     Raw-Zlib, libindicator-gtk3, speexdsp, upower, libreoffice-x11,
     nautilus, xcb-util-wm, atk, dbxtool, ocl-icd, alsa-lib, gstreamer1
     -plugins-good-gtk, audacity, libwnck3, x264-libs, python2-gobject,
     gtkmm24, libvirt-daemon-driver-storage-disk, brasero-libs, mesa-dri-
     drivers, sgpio, python3-abrt, libffado, suitesparse, gdbm-libs,
     fribidi, libgnomekbd, libblockdev-kbd, ibus-rawcode, pciutils, qt5
     -qttools-libs-designer, openssh-clients, texlive-mfware, libX11,
     celt051, beignet, kyotocabinet-libs, python3-pwquality, gvfs-mtp,
     python3-cryptography, gnome-bluetooth, u2f-hidraw-policy, libnl3,
     gimp-libs, libnatpmp, libidn, grubby, python3-libreport, libdbusmenu,
     libbytesize, libmpeg2, qemu-block-rbd, python3-systemd, rpm-ostree-
     libs, libnl3-cli, ibus-libs, python2-libcomps, python2-pyyaml, audit-
     libs, bluez, motif-devel, gettext-libs, liborcus, kf5-kwidgetsaddons,
     qt5-qtwayland, libref_array, gvfs-afc, switcheroo-control, fwupd,
     raptor2, gtk-update-icon-cache, xorg-x11-drv-intel, plymouth-plugin-
     two-step, sbc, qt-x11, libsane-hpaio, libhangul, bash, poppler-glib,
     NetworkManager-openvpn-gnome, libgpod, seahorse, libblockdev-lvm,
     ibus-kkc, lvm2, harfbuzz, cups, dmraid, python3-wrapt, gvfs-client,
     NetworkManager-libnm, python2-libs, ibus-qt, gnome-boxes, audit,
     lrzsz, libglvnd-egl, opusfile, unbound-libs, dhcp-libs, dpkg,
     libtalloc, grep, hypervkvpd, libepoxy, perl-Variable-Magic, man-db,
     python2-dbus, gedit, libvirt-daemon-driver-storage-core, libibumad,
     libgadu, boost-locale, timedatex, xdg-desktop-portal, sssd-nfs-idmap,
     rasqal, wireless-tools, libdb, passwd, cups-pk-helper, gnome-
     calculator, kmod-libs, NetworkManager-team, libdv, gutenprint-libs,
     lm_sensors-libs, libreoffice-writer, desktop-file-utils, libXdamage,
     xorg-x11-utils, libmwaw, libusal, qt5-designer, gst-editing-services,
     libunwind, dleyna-connector-dbus, gtkmm30, texlive-xdvi, libopusenc,
     gobject-introspection, kf5-kconfig-core, libpwquality, kf5-knewstuff,
     fontconfig, libnsl, libblockdev-dm, kf5-kservice, meanwhile, evince-
     djvu, libkcapi-hmaccalc, libtar, libdaemon, ffmpeg, tcl, boost-
     coroutine, easytag, flatpak, python3-librepo, pkgconf, vino, json-c,
     kf5-kauth, sed, sssd-ipa, perl-threads-shared, glib-networking,
     NetworkManager-vpnc-gnome, kpartx, libpng, sane-backends-libs,
     python3-pillow, cyrus-sasl, qt5-qtgraphicaleffects, libcollection,
     libgcrypt, cairomm, perl-Unicode-UTF8, kf5-kwallet, nss-softokn, lasi,
     python3-numpy, lsof, at-spi2-atk, minetest-server, libnsl2, gnome-
     online-miners, twolame-libs, adwaita-qt4, adwaita-qt5, gnome-shell,
     cups-ipptool, xorg-x11-server-Xorg, usbmuxd, libmbim, perl-IO, libomp,
     libverto, glibmm24, libXScrnSaver, realmd, libmspub, ncurses, nfs-
     utils, graphite2, python3-kerberos, perl-List-MoreUtils-XS, passwdqc-
     lib, imlib2, libreport-plugin-kerneloops, libde265, libpng12, ndctl-
     libs, gmp, sssd-krb5-common, volume_key-libs, cdparanoia-libs,
     libmodulemd1, farstream02, libzapojit, ffmpeg-libs, alsa-plugins-
     pulseaudio, perl-interpreter, ebook-tools-libs, bluez-cups, gimp,
     aqsis-libs, texlive-metafont, leveldb, libcurl, kf5-kcrash, coreutils,
     libcap-ng, gvfs, dbus-x11, pinentry, libvirt-daemon-driver-storage-
     scsi, libmpcdec, nautilus-extensions, kde-cli-tools, qemu-common, gsm,
     libuv, boost-filesystem, libtevent, kf5-sonnet-ui, libvmaf,
     libchamplain, libglvnd, gnome-documents-libs, k3b-libs, openttd,
     boost-system, libpcap, wxBase3, nmap, snappy, libindicator, clutter-
     gst3, mozjs60, libdrm, genisoimage, rubygem-bigdecimal, pcre2,
     shotwell, xmlrpc-c, jsoncpp, perl-TermReadKey, qt5-qtwebkit, espeak-
     ng, protobuf-c, rygel, libpng-devel, perl-MIME-Base64, libvirt-glib,
     libqhull, libmspack, libssh, GConf2, glibc, xz-lzma-compat, ttmkfdir,
     flatpak-libs, fipscheck, mactel-boot, bc, gtk-vnc2, quota, wget,
     libijs, boost-regex, python2-unbound, libreport-web, libgomp, libexif,
     libvirt-daemon-driver-secret, gstreamer1-plugins-bad-freeworld,
     libgusb, glib2, spirv-tools-libs, qemu-system-x86-core, ImageMagick-
     libs, libproxy-mozjs, pcre2-utf16, libmnl, gettext-devel, libzmf,
     libmng, nss, pcre, libchamplain-gtk, tcp_wrappers-libs, sane-backends,
     gstreamer1-plugins-base, speech-dispatcher, cdrdao, pciutils-libs,
     libiptcdata, libmpc, libXi, file-roller, openjpeg2, libmatroska, flac-
     libs, libXt, libXv, rubygem-openssl, rpm-libs, info, libnfnetlink,
     libiec61883, rpm-sign-libs, boost-context, device-mapper-event,
     libreport-plugin-bugzilla, qt5-qttools-devel, qt5-qtbase, qpdf,
     libpskc, java-1.8.0-openjdk, ibus, python3-lxml, gamin, jwhois, qemu-
     block-dmg, curl, yelp-libs, cmake, libdmapsharing, rubygem-json, gcc-
     gdb-plugin, fipscheck-lib, python2-pycurl, endless-sky, dos2unix,
     paps, libstaroffice, abrt-tui, lzo-minilzo, tpm2-tss, qt5-qtspeech-
     speechd, abrt-addon-xorg, libdhash, gnome-keyring-pam, sssd-proxy,
     zchunk-libs, totem, python3-matplotlib, gd, gc, python3-cups,
     libxshmfence, minetest, libreport-plugin-systemd-journal, gstreamer1
     -plugins-ugly-free, p11-kit-server, lftp, unzip, apr-util-openssl,
     vlc, gtk2, gtk3, libwayland-egl, libv4l, libndp, atkmm, npth, perl-
     Params-Util, libyaml, gspell, xcb-util-image, m17n-lib, libblockdev-
     mdraid, glusterfs, exiv2-libs, libebml, libunistring, dleyna-server,
     qgnomeplatform, gstreamer1-plugins-good, python2-rpm, libasyncns,
     qemu-block-curl, device-mapper-multipath, c-ares, xmlsec1-openssl,
     python2-cairo, scl-utils, gfbgraph, NetworkManager-pptp-gnome,
     jansson, bind-utils, librsvg2, kf5-libkcddb, firefox, apr,
     libsss_nss_idmap, pitivi, gupnp-dlna, trousers-lib, libmarkdown,
     libnumbertext, libaom, zip, webrtc-audio-processing, bcache-tools,
     startup-notification, babl, libqxp, pinfo, vinagre, freeipmi,
     bubblewrap, gcc-c++, speech-dispatcher-espeak-ng, libtasn1, jbigkit-
     libs, perl-libintl-perl, libe-book, freerdp1.2, alsa-utils, sqlite,
     tar, sudo, dhcp-client, fprintd, pinentry-gtk, gcc, rdist, dwz,
     xorg-x11-drv-qxl, gcr, oddjob, ebtables, avahi-libs, pigz,
     python3-pyyaml, libappindicator-gtk3, libquvi, gvfs-archive, rubygem-
     rdiscount, libao, libreofficekit, perl-libs, lz4, kbd, dbus-daemon,
     libreoffice-core, opus-tools, gamemode, gupnp-igd, libwayland-cursor,
     openvpn, libpaper, squashfs-tools, gstreamer1-plugins-ugly, xvidcore,
     libwacom, lzo, poppler-qt5, pango, libss, krb5-devel, mod_dnssd,
     polkit-libs, perl-threads, perl-Params-Validate, pangomm,
     kf5-kguiaddons, mpg123-plugins-jack, mesa-libxatracker, nss-sysinit,
     LibRaw, texlive-gsftopk, nss-mdns, samba-common-libs, python3-cffi,
     kf5-kio-ntlm, kf5-kwallet-libs, at-spi2-core, libvirt-daemon-driver-
     network, gegl04, glibc-common, kf5-kcodecs, bind-export-libs,
     kf5-kwindowsystem, ndctl, libcxxabi, gnome-autoar, qt5-qtlocation,
     python3-libxml2, libnfs, libgfortran, stoken-libs, gnome-contacts,
     libiscsi, texlive-kpathsea, groff-base, mesa-libgbm, libusb, hddtemp,
     mesa-libGL, perl-HTML-Parser, abrt-addon-ccpp, libldb, bind-libs-lite,
     NetworkManager-vpnc, libmodplug, libvirt-daemon-driver-nodedev,
     libXres, libcanberra, kf5-kio-core-libs, PackageKit-gstreamer-plugin,
     libdav1d, libgudev, xorg-x11-drv-wacom, libsrtp, perl-Package-Stash-
     XS, qt5-linguist, qt5-qtscript, which, boost-chrono, samba-client,
     libaio, lua-expat, python3-cccolutils, libquadmath, qemu-ui-curses,
     gvfs-gphoto2, libvirt-gconfig, brlapi, thunderbird, createrepo_c,
     libreport-gtk, liboauth, lmdb-libs, xmlsec1, isns-utils-libs,
     libmypaint, libwsman1, libXtst, krb5-workstation, nmap-ncat, libglvnd-
     opengl, vlc-core, lksctp-tools, libgltf, usb_modeswitch,
     python3-libdnf, mythes, evolution, NetworkManager-wifi, qt,
     mjpegtools-libs, kexec-tools, teamd, libvorbis, rpcbind,
     python3-libselinux, libodfgen, liblouis, exiv2, iptables, texlive-
     xetex, qt5-qtwebchannel, lua, xorriso, libpeas-loader-python3, llvm-
     libs, gnome-logs, doxygen, pulseaudio-module-bluetooth, libvirt-libs,
     kf5-kconfigwidgets, hardlink, portaudio, passwdqc, libXft,
     schroedinger, libattr, qt5-qtbase-devel, hyphen, gnupg2-smime, mpg123
     -plugins-portaudio, rpm, qemu-audio-oss, syslinux, libxcrypt, sssd-
     ldap, iptstate, libreport-plugin-ureport, radvd, libplacebo,
     kf5-kdbusaddons, python3-libs, libappindicator, glusterfs-cli, perl-
     PathTools, ipset-libs, boost-graph, netpbm-progs, kf5-kio-widgets,
     plymouth-graphics-libs, boost-serialization, mozjs38, gnome-menus,
     glusterfs-client-xlators, libreoffice-pyuno, motif, flex, libxml2,
     libgepub, libreoffice-ure, iscsi-initiator-utils-iscsiuio, cyrus-sasl-
     gssapi, mpage, libargon2, mesa-vulkan-drivers, mousetweaks, libvirt-
     daemon, protobuf-lite, libsecret, p11-kit-trust, NetworkManager-
     bluetooth, libdca, augeas-libs, libsysfs, libxmlb, geoclue2, texlive-
     dvipng, java-1.8.0-openjdk-headless, abrt-dbus, gnome-desktop3, gdk-
     pixbuf2-modules, binutils, xen-libs, libisofs, nss-pem, vim-common,
     python2-kerberos, less, CGAL, cifs-utils, libvpx, evince, rpm-build-
     libs, libnghttp2, ostree-libs, totem-nautilus, libsolv, exempi,
     libxkbcommon-x11, libmms, libtdb, python3-gpg, libXdmcp, perl-Socket,
     apr-util, libshaderc, libatomic, libvisual, python3, python2, gpm-
     libs, kf5-kwayland, avahi-ui-gtk3, irrlicht, xorg-x11-server-Xwayland,
     dbus-tools, shared-mime-info, httpd-tools, SDL2, webkit2gtk3,
     libsigsegv, dnssec-trigger, boost-thread, grilo-plugins, dvd+rw-tools,
     shadow-utils, boost-random, libcgroup, libXaw, libXau, netcf-libs,
     libgdata, phonon-qt5, pulseaudio-module-x11, dmidecode, qemu-audio-
     alsa, python3-libcomps, phonon-qt5-backend-gstreamer, libjpeg-turbo,
     spice-gtk3, libmount, spice-vdagent, xorg-x11-drv-wacom-serial-
     support, xorg-x11-drv-fbdev, libqb, libavc1394, lldpad, libtiff,
     python3-libsemanage, libvncserver, sg3_utils-libs, libnotify, ima-evm-
     utils, boost-stacktrace, texlive-tex, python3-gstreamer1, python2
     -gobject-base, mesa-libOpenCL, transmission-common, qemu-audio-sdl,
     openssh-server, fluidsynth-libs, mutter, qt5-doctools, taglib,
     libXext, mcpp, ModemManager-glib, bridge-utils, ostree, device-mapper-
     event-libs, initscripts, hunspell, libieee1284, xdg-dbus-proxy,
     pulseaudio, libaesgm, qemu-ui-sdl, kf5-ktextwidgets, bzip2, libcxx,
     libeasyfc, elfutils-libelf, nss-softokn-freebl, open-vm-tools,
     evolution-ews, kf5-kdesu, kf5-kdoctools, libavdevice, libtool-ltdl,
     readline, eog, yelp, libtimidity, vulkan-loader, abrt-java-connector,
     perl-version), /usr/lib/.build-id/7e(argyllcms, firefox, ImageMagick-
     libs, sane-backends-drivers-scanners, kf5-kconfig-core, glibc,
     gstreamer1-plugins-base, frei0r-plugins, openvpn, djvulibre-libs,
     fwupd, ruby-libs, iptables, getdns, systemd, vlc-core, gegl04, brltty,
     cyrus-sasl-lib, NetworkManager-wifi, gnome-control-center, hplip-libs,
     flatpak, libvorbis, glib2, samba-client-libs), /usr/lib/.build-
     id/95(qt5-qtbase-devel, colord, gvfs-smb, ImageMagick-libs,
     libatomic_ops, brasero, perl-interpreter, libinput, kmod, grilo-
     plugins, java-1.8.0-openjdk-headless, clang-libs, gstreamer1-plugins-
     base, libprojectM, fwupd, iptables, open-vm-tools, lftp, ModemManager,
     vlc-core, openssl-pkcs11, libevent, gutenprint, libXdamage, dpkg,
     qt5-qtwayland, evolution, netpbm-progs, xorg-x11-xkb-utils,
     createrepo_c, gstreamer1-plugins-bad-freeworld, nss-softokn,
     highlight, glibc, binutils, jimtcl)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in wdune-
     opengl-examples , wdune-docs , wdune-debuginfo , wdune-debugsource
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 2867200 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: wdune-1.000-3.fc31.x86_64.rpm
          wdune-opengl-examples-1.000-3.fc31.x86_64.rpm
          wdune-docs-1.000-3.fc31.noarch.rpm
          wdune-debuginfo-1.000-3.fc31.x86_64.rpm
          wdune-debugsource-1.000-3.fc31.x86_64.rpm
          wdune-1.000-3.fc31.src.rpm
wdune.x86_64: W: manual-page-warning /usr/share/man/man1/dune4kids.1.gz 23: warning: macro `pp' not defined
wdune-opengl-examples.x86_64: W: no-documentation
wdune-opengl-examples.x86_64: W: devel-file-in-non-devel-package /usr/share/white_dune/opengl_example/main.cpp
wdune-opengl-examples.x86_64: W: no-manual-page-for-binary white_dune_opengl_example
6 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: wdune-opengl-examples-debuginfo-1.000-3.fc31.x86_64.rpm
          wdune-debuginfo-1.000-3.fc31.x86_64.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
/usr/share/rpmlint/Pkg.py:168: UnicodeWarning: decode() called on unicode string, see https://bugzilla.redhat.com/show_bug.cgi?id=1693751
  s.decode('UTF-8')
wdune-debuginfo.x86_64: W: invalid-url URL: http://wdune.ourproject.org/ <urlopen error [Errno -2] Name or service not known>
/usr/share/rpmlint/Pkg.py:168: UnicodeWarning: decode() called on unicode string, see https://bugzilla.redhat.com/show_bug.cgi?id=1693751
  s.decode('UTF-8')
wdune-opengl-examples.x86_64: W: no-documentation
wdune-opengl-examples.x86_64: W: devel-file-in-non-devel-package /usr/share/white_dune/opengl_example/main.cpp
wdune-opengl-examples.x86_64: W: no-manual-page-for-binary white_dune_opengl_example
wdune.x86_64: W: manual-page-warning /usr/share/man/man1/dune4kids.1.gz 23: warning: macro `pp' not defined
6 packages and 0 specfiles checked; 0 errors, 10 warnings.



Requires
--------
wdune-debuginfo (rpmlib, GLIBC filtered):

wdune-opengl-examples (rpmlib, GLIBC filtered):
    freeglut
    libGL.so.1()(64bit)
    libGLU.so.1()(64bit)
    libc.so.6()(64bit)
    libglut.so.3()(64bit)
    libjpeg.so.62()(64bit)
    libjpeg.so.62(LIBJPEG_6.2)(64bit)
    libm.so.6()(64bit)
    libpng16.so.16()(64bit)
    libpng16.so.16(PNG16_0)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    rtld(GNU_HASH)
    wdune(x86-64)

wdune (rpmlib, GLIBC filtered):
    /usr/bin/sh
    ImageMagick
    aqsis-core
    bitstream-vera-sans-fonts
    libCGAL.so.13()(64bit)
    libGL.so.1()(64bit)
    libGLU.so.1()(64bit)
    libX11.so.6()(64bit)
    libXi.so.6()(64bit)
    libXm.so.4()(64bit)
    libXmu.so.6()(64bit)
    libXt.so.6()(64bit)
    libc.so.6()(64bit)
    libcurl.so.4()(64bit)
    libexpat.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgmp.so.10()(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_1.0)(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libjpeg.so.62()(64bit)
    libjpeg.so.62(LIBJPEG_6.2)(64bit)
    libm.so.6()(64bit)
    libmpfr.so.4()(64bit)
    libpng16.so.16()(64bit)
    libpng16.so.16(PNG16_0)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.7)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libusb-0.1.so.4()(64bit)
    libz.so.1()(64bit)
    rcs
    rtld(GNU_HASH)
    xorg-x11-fonts-misc

wdune-docs (rpmlib, GLIBC filtered):
    wdune(x86-64)

wdune-debugsource (rpmlib, GLIBC filtered):



Provides
--------
wdune-debuginfo:
    debuginfo(build-id)
    wdune-debuginfo
    wdune-debuginfo(x86-64)

wdune-opengl-examples:
    wdune-opengl-examples
    wdune-opengl-examples(x86-64)

wdune:
    application()
    application(dune.desktop)
    application(dune4kids.desktop)
    mimehandler(model/vrml)
    wdune
    wdune(x86-64)

wdune-docs:
    wdune-docs

wdune-debugsource:
    wdune-debugsource
    wdune-debugsource(x86-64)



Source checksums
----------------
ftp://ftp.ourproject.org/pub/wdune/wdune-1.000.tar.bz2 :
  CHECKSUM(SHA256) this package     : 37a76e5e7f32e6dafe75baab22657819e2394f371f365cf6c327f143ca5feb8c
  CHECKSUM(SHA256) upstream package : 37a76e5e7f32e6dafe75baab22657819e2394f371f365cf6c327f143ca5feb8c


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -n wdune -L /home/reviewer/reviews/1677989-vcglib.progress/srpm/x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Built with local dependencies:
    /home/reviewer/reviews/1677989-vcglib.progress/srpm/x86_64/vcglib-devel-1.0.1-1.fc29.x86_64.rpm
    /home/reviewer/reviews/1677989-vcglib.progress/srpm/x86_64/vcglib-1.0.1-1.fc29.x86_64.rpm

Comment 87 Petr Menšík 2019-04-22 17:24:44 UTC
Note there is issue with examples directory ownership.

Add into %files opengl-examples:
%dir %{_datadir}/white_dune/
%dir %{_datadir}/white_dune/opengl_example/

Or change it to:

%files opengl-examples
%{_bindir}/white_dune_opengl_example
%dir %{_datadir}/white_dune
%{_datadir}/white_dune/opengl_example

More about it on [1].

Not really sure whether update-desktop-database in %post is still required. On page it links it is not even mentioned. Have to ask for that on devel list.

But checked just now, original tarball contains lib/textures with some textures. Is not such data packaged at all? Is there reason for it?
I think noarch package might be useful for them, possibly recommended by wdune package. Could be useful for first creations I think. Not mandatory for passing review however.

(In reply to J. Scheurich from comment #84)
> white_dune reaches version 1, but full function would require the ffmpeg
> libraries for MovieTexture rendering.
> The ffmpeg libraries are not available on Fedora, so a harmless warning in
> configure is thrown.
Well, yes, this is unfortunate, but could not be easily solved. If it used something with decoder plugins such as Gstreamer instead, it could include support at least for video codecs that can be shipped in Fedora. Other decoders could be installed from non-fedora sources if law permits that. I think MPEG 1 and 2 are now allowed in Fedora, but FFMPEG as whole is still not acceptable. I doubt that can be improved soon.


1. https://docs.fedoraproject.org/en-US/packaging-guidelines/UnownedDirectories/

Comment 88 J. Scheurich 2019-04-24 15:46:29 UTC
Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune.spec
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-1.010-3.fc29.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

Comment 89 Petr Menšík 2019-04-27 23:58:34 UTC
I am not able to download new SRPM file. spectool -g *.spec does not work also. Please ensure source archive referenced by spec file is available on source URL.

Comment 90 J. Scheurich 2019-04-28 00:48:10 UTC
Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune.spec
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-1.020-3.fc29.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11

Comment 91 Petr Menšík 2019-04-28 21:37:40 UTC
Noticed minor issue, Requires: freeglut in examples should be Requires: freeglut%{?_isa}. But just minor issue. I think it is now ready. Please try to find anyone to sponsor your account on devel list. I think this package is quite good and would be nice to have, especially to Games developers. I would sponsor you myself, but not yet able to sponsor. Thank you for your patience, please do not give up!

Comment 92 J. Scheurich 2019-04-29 17:38:52 UTC
Spec URL: ftp://ftp.ourproject.org/pub/wdune/wdune.spec
SRPM URL: ftp://ftp.ourproject.org/pub/wdune/wdune-1.026-3.fc29.src.rpm
Description: wdune (white_dune) is a graphical VRML97/X3D editor,
simple NURBS/Superformula 3D modeller, animation tool, and VRML97/X3DV commandline compiler in development.
With white_dune you can create/change 3D objects and animate them (in a easy way if you choose the -4kids GUI).
The result can be shown in any webgl enabled web browser or can be converted to the RIB format for movie creation. 
Fedora Account System Username: mufti11


Note You need to log in before you can comment on or make changes to this bug.